-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::alter_table_mi_api_basic::YaChao Lv
ALTER TABLE dbo.mi_api_basic ADD deploy_status nvarchar(32) NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'deploy_status'
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_basic_deployed (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_basic_deployed_tenant_id DEFAULT '-1' NOT NULL, group_id bigint, api_id bigint NOT NULL, api_code nvarchar(128), api_name nvarchar(128), api_pos bigint CONSTRAINT DF_koca_lcp_api_basic_deployed_api_pos DEFAULT 1 NOT NULL, remark varchar(MAX), access_api_code nvarchar(128), api_protocol nvarchar(2), model_id bigint, crud_type nvarchar(32), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'access_api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口协议(类型)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_protocol'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_basic_deployed_id ON dbo.koca_lcp_api_basic_deployed(tenant_id, api_code)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', N'接口发布序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_basic_his (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_basic_his_tenant_id DEFAULT '-1' NOT NULL, api_id bigint NOT NULL, api_code nvarchar(128), api_name nvarchar(128), api_pos bigint CONSTRAINT DF_koca_lcp_api_basic_his_api_pos DEFAULT 1 NOT NULL, remark varchar(MAX), access_api_code nvarchar(128), api_protocol nvarchar(2), model_id bigint, crud_type nvarchar(32), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'access_api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口协议(类型)',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_protocol'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_basic_his_id ON dbo.koca_lcp_api_basic_his(tenant_id, api_code, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', N'接口历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_BASIC_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param_deployed (id bigint NOT NULL, api_param_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_param_deployed_tenant_id DEFAULT '-1' NOT NULL, api_code nvarchar(128) NOT NULL, api_version nvarchar(32) NOT NULL, para_code nvarchar(128) NOT NULL, access_param_code nvarchar(128), parent_id int, para_name nvarchar(120) NOT NULL, para_type int, para_pos nvarchar(30), para_desc nvarchar(1000), data_type nvarchar(32), data_length nvarchar(32), scale numeric(10, 2), required int, default_value nvarchar(128), model_field_code nvarchar(512), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'para_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'access_param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'para_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型  1请求 2响应',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'para_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数位置',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'para_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'para_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'scale'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_code_deployed ON dbo.koca_lcp_api_param_deployed(tenant_id, api_code, api_version, para_code, para_type, parent_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', N'接口发布序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param_his (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_param_his_tenant_id DEFAULT '-1' NOT NULL, api_id bigint NOT NULL, api_param_id bigint NOT NULL, api_code nvarchar(128) NOT NULL, api_version nvarchar(32) NOT NULL, para_code nvarchar(128) NOT NULL, access_param_code nvarchar(128), parent_id int, para_name nvarchar(120) NOT NULL, para_type int, para_pos nvarchar(30), para_desc nvarchar(1000), data_type nvarchar(32), data_length nvarchar(32), scale numeric(10, 2), required int, default_value nvarchar(128), model_field_code nvarchar(512), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'para_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'access_param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'para_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型  1请求 2响应',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'para_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数位置',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'para_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'para_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'scale'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_code_his ON dbo.koca_lcp_api_param_his(tenant_id, api_code, api_version, his_version, para_code, para_type, parent_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', N'接口历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('KOCA_LCP_API_PARAM_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_deploy::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param_meta_deploy (id bigint NOT NULL, api_param_id bigint NOT NULL, meta_info varchar(MAX), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_META_DEPLOY PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'已发布API参数前端元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_deploy'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_deploy',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_deploy',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前端元数据信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_deploy',
'COLUMN', N'meta_info'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_deploy',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_id_deployed ON dbo.koca_lcp_api_param_meta_deploy(api_param_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', N'LCP已发布接口参数元数据序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.2.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param_meta_his (id bigint NOT NULL, api_id bigint NOT NULL, api_param_id bigint NOT NULL, meta_info varchar(MAX), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_META_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'API参数前端元数据历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前端元数据信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his',
'COLUMN', N'meta_info'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_id_his ON dbo.koca_lcp_api_param_meta_his(api_param_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_HIS_NO', N'LCP接口参数元数据历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_HIS_NO', '0', '0', '0', '100000', '', '')
GO