-- Changeset V3.5.0_0_2_101__0.12_koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds::YaChao Lv
CREATE TABLE dbo.koca_lcp_datasource_ds (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_datasource_ds_tenant_id DEFAULT '-1' NOT NULL, group_id bigint, ds_name nvarchar(64) NOT NULL, ds_type nvarchar(32) NOT NULL, db_type nvarchar(32) NOT NULL, ds_bean_name nvarchar(64), host_ip nvarchar(512), host_port int, db_schema nvarchar(128), db_username nvarchar(64), db_password nvarchar(256), db_jdbc nvarchar(1024), db_jdbc_self_defined char(1), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源管理',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'ds_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'ds_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源beanName',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'ds_bean_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主机IP',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'host_ip'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主机端口',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'host_port'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据库',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_schema'
GO

EXEC sp_addextendedproperty
'MS_Description', N'用户名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_username'
GO

EXEC sp_addextendedproperty
'MS_Description', N'密码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_password'
GO

EXEC sp_addextendedproperty
'MS_Description', N'jdbc连接',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_jdbc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'jdbc连接自定义标识',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'db_jdbc_self_defined'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_tenant_name ON dbo.koca_lcp_datasource_ds(ds_name, tenant_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS', N'LCP数据源序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS', '0', '0', '0', '100000', '', '')
GO

-- Changeset V3.5.0_0_2_101__0.12_koca_lcp_runtime_datasource.xml::cerate_table_koca_lcp_datasource_ds_group::YaChao Lv
CREATE TABLE dbo.koca_lcp_datasource_ds_group (id bigint NOT NULL, group_name nvarchar(32) NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_datasource_ds_group_tenant_id DEFAULT '-1' NOT NULL, CONSTRAINT PK_KOCA_LCP_DATASOURCE_DS_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_datasource_ds_group',
'COLUMN', N'tenant_id'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_group_name ON dbo.koca_lcp_datasource_ds_group(group_name, tenant_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATASOURCE_DS_GROUP', N'LCP数据源分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DATASOURCE_DS_GROUP', '0', '0', '0', '100000', '', '')
GO

-- Changeset V3.5.0_0_2_101__0.12_koca_lcp_runtime_datasource.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411000', '0', '0', N'数据源', '', '', '102001', 'kui-icon-database', '0', N'数据源')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411001', '0', '0', N'数据源管理', '/lcp-runtime-model/views/data-source/datasource-manage/index.tsx', '411000', '', '', '0', N'数据源管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411002', '0', '2', N'新增/编辑', '', '411001', '', '', '0', N'新增/编辑')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('411003', '0', '2', N'删除', '', '411001', '411002', '', '0', N'删除')
GO

-- Changeset V3.5.0_0_2_101__0.12_koca_lcp_runtime_datasource.xml::insert_koca_menu_api::YaChao Lv
INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100101', '/datasource/ds/inner/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100102', '/datasource/ds/detail')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100103', '/datasource/ds/list')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100104', '/datasource/ds/group/all')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411001', '41100105', '/datasource/ds/dbList')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100201', '/datasource/ds/testConnect')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100202', '/datasource/ds/group/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100203', '/datasource/ds/group/create')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100204', '/datasource/ds/move')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100205', '/datasource/ds/copy')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100206', '/datasource/ds/update')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411002', '41100207', '/datasource/ds/create')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100301', '/datasource/ds/delete')
GO

INSERT INTO dbo.koca_menu_api (menu_id, api_code, resource_url) VALUES ('411003', '41100302', '/datasource/ds/group/delete')
GO