-- Changeset V4.5.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_field::YaChao Lv
ALTER TABLE dbo.koca_lcp_data_model_field ADD condition_used tinyint CONSTRAINT DF_koca_lcp_data_model_field_condition_used DEFAULT 1 NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'条件使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'condition_used'
GO

-- Changeset V4.5.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_condition_conf::YaChao Lv
CREATE TABLE dbo.koca_lcp_model_condition_conf (id bigint NOT NULL, model_id bigint NOT NULL, field_id bigint NOT NULL, operator varchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_CONDITION_CONF PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型查询条件配置表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'操作符',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_condition_conf',
'COLUMN', N'operator'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_condition ON dbo.koca_lcp_model_condition_conf(field_id, operator)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_MODEL_CONDITION_CONF_NO', N'数据模型查询条件配置序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '0', '0', '0', '100000', '', '')
GO