-- Changeset V4.2.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_history::liusheng
CREATE TABLE dbo.koca_lcp_page2_history (id bigint NOT NULL, page_id bigint NOT NULL, page_meta varchar(MAX) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE2_HISTORY PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面历史版本表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'page_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'page_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2_history',
'COLUMN', N'updated_at'
GO

CREATE NONCLUSTERED INDEX idx_page_id ON dbo.koca_lcp_page2_history(page_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_PAGE_HISTORY_NO', N'页面历史版本序列', '8', '1', '', '', '0')
GO