﻿create table koca_front_profiles
(
    env_code      varchar(32) not null comment '环境编码',
	terminal_type varchar(16) not null default '*' comment '终端类型',
    env_mark      varchar(64) not null ,
    primary_color varchar(64) comment '颜色',
    logo          varchar(256) comment '图标',
    watermark     varchar(1) default '0' comment '水印',
    timeout       int        default 5000 comment '超时时间',
    is_tracking   varchar(1) default '0' ,
    env_version      varchar(32) comment '环境版本',
    app_title      varchar(128) default '金证云原生平台' comment '标题',
	ext_config    varchar(1024)  comment '扩展配置',
    primary key (env_code, terminal_type)
);

create table koca_front_user_parameter
(
    user_no  varchar(32) not null,
    par_code varchar(32) not null,
    par_val  text,
    primary key (user_no, par_code)
);

create table koca_user_component_setting  (
                                              user_no varchar(64)  not null ,
                                              page_code varchar(128)  not null ,
                                              component_code varchar(128)  not null ,
                                              component_setting text ,
                                              other_setting text,
                                              primary key (user_no, page_code,component_code)
);
