--  Changeset ALL_4.2.0_0_2_171__koca_lcp_runtime_common.xml::create_table_koca_lcp_global_var_method::liusheng
CREATE TABLE koca_lcp_global_var_method (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', name VARCHAR(512) NOT NULL COMMENT '名称', type VARCHAR(16) NOT NULL COMMENT '类型：VAR、METHOD', design_type VARCHAR(32) DEFAULT 'PC' NOT NULL COMMENT '设计类型：PC/MOBILE', content TEXT NOT NULL COMMENT '变量/方法内容', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_METHOD PRIMARY KEY (id)) COMMENT='全局变量/方法表';

ALTER TABLE koca_lcp_global_var_method COMMENT = '全局变量/方法表';

CREATE UNIQUE INDEX uk_name_type ON koca_lcp_global_var_method(tenant_id, design_type, name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_GLOBAL_VAR_METHOD_NO', '全局变量/方法序列', '8', '1', '', '', '0');