--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415000', '0', '0', '组件管理', '', '', '414000', 'kui-icon-batch', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415001', '0', '0', '组件管理', '/lcp-runtime-component/views/component-manage/index.tsx', '415000', '', '', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415002', '0', '1', '组件设计器', '/lcp-runtime-component/views/designer/index.tsx', '415000', '415001', '', '0', '组件设计器');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_group::chenlei
CREATE TABLE koca_lcp_comp2_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_code VARCHAR(64) NOT NULL COMMENT '页面分组编码', group_name VARCHAR(64) NOT NULL COMMENT '页面分组名称', parent_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', id_path VARCHAR(512) NOT NULL COMMENT '页面分组id路径，用于删除或查询', sort_no INT DEFAULT 0 NOT NULL COMMENT '序号，用于同级目录排序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_COMP2_GROUP PRIMARY KEY (id)) COMMENT='业务组件分组';

ALTER TABLE koca_lcp_comp2_group COMMENT = '业务组件分组';

CREATE UNIQUE INDEX uk_lcp_comp2_group_code ON koca_lcp_comp2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_comp2_group_name ON koca_lcp_comp2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2::chenlei
CREATE TABLE koca_lcp_comp2 (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', comp_remark VARCHAR(256) NULL COMMENT '组件描述', deploy_status VARCHAR(32) NOT NULL COMMENT '发布状态', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_COMP2 PRIMARY KEY (id)) COMMENT='业务组件管理2';

ALTER TABLE koca_lcp_comp2 COMMENT = '业务组件管理2';

CREATE UNIQUE INDEX uk_lcp_comp2_code ON koca_lcp_comp2(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_name ON koca_lcp_comp2(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_NO', '组件2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_deployed (id BIGINT NOT NULL, comp_id BIGINT NOT NULL COMMENT '组件ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', comp_remark VARCHAR(256) NULL COMMENT '组件描述', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='业务组件管理已发布表';

ALTER TABLE koca_lcp_comp2_deployed COMMENT = '业务组件管理已发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_code ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_name ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_DEPLOYED_NO', '发布组件序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_his (id BIGINT NOT NULL, comp_id BIGINT NOT NULL COMMENT '组件ID', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', comp_remark VARCHAR(256) NULL COMMENT '组件描述', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_HIS PRIMARY KEY (id)) COMMENT='业务组件发布历史表';

ALTER TABLE koca_lcp_comp2_his COMMENT = '业务组件发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_his_code ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_his_name ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_HIS_NO', '组件历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_global_var_comp2::liusheng
CREATE TABLE koca_lcp_global_var_comp2 (var_name VARCHAR(512) NOT NULL, comp2_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_COMP2 PRIMARY KEY (var_name, comp2_id)) COMMENT='全局变量/方法-组件映射表';

ALTER TABLE koca_lcp_global_var_comp2 COMMENT = '全局变量/方法-组件映射表';

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_deployed (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='全局变量/方法-组件映射发布表';

ALTER TABLE koca_lcp_var_comp2_deployed COMMENT = '全局变量/方法-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_var_deployed ON koca_lcp_var_comp2_deployed(comp2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '变量/方法组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_his (id BIGINT NOT NULL, var_name VARCHAR(512) NOT NULL COMMENT '全局变量/方法名称', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_VAR_COMP2_HIS PRIMARY KEY (id)) COMMENT='全局变量/方法-组件映射发布历史表';

ALTER TABLE koca_lcp_var_comp2_his COMMENT = '全局变量/方法-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_var_his ON koca_lcp_var_comp2_his(comp2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_HIS_NO', '变量/方法组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_basic_comp2::liusheng
CREATE TABLE koca_lcp_api_basic_comp2 (data_id BIGINT NOT NULL, comp2_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_COMP2 PRIMARY KEY (data_id, comp2_id)) COMMENT='字段-组件映射表';

ALTER TABLE koca_lcp_api_basic_comp2 COMMENT = '字段-组件映射表';

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_deployed (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '组件历史版本号', CONSTRAINT PK_KOCA_LCP_API_COMP2_DEPLOYED PRIMARY KEY (id)) COMMENT='接口-组件映射发布表';

ALTER TABLE koca_lcp_api_comp2_deployed COMMENT = '接口-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_api_deployed ON koca_lcp_api_comp2_deployed(data_id, comp2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '接口组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_his (id BIGINT NOT NULL, data_id BIGINT NOT NULL COMMENT '字段id', comp2_id BIGINT NOT NULL COMMENT '组件id', his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_API_COMP2_HIS PRIMARY KEY (id)) COMMENT='接口-组件映射发布历史表';

ALTER TABLE koca_lcp_api_comp2_his COMMENT = '接口-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_api_his ON koca_lcp_api_comp2_his(data_id, comp2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_HIS_NO', '接口组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_HIS_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2::liusheng
CREATE TABLE koca_lcp_comp2_comp2 (curr_id BIGINT NOT NULL, target_id BIGINT NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2 PRIMARY KEY (curr_id, target_id)) COMMENT='组件-组件映射表';

ALTER TABLE koca_lcp_comp2_comp2 COMMENT = '组件-组件映射表';

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_deployed (id BIGINT NOT NULL, curr_id BIGINT NOT NULL, target_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_DEPLOYED PRIMARY KEY (id, curr_id, target_id)) COMMENT='组件-组件映射发布表';

ALTER TABLE koca_lcp_comp2_comp2_deployed COMMENT = '组件-组件映射发布表';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_deployed ON koca_lcp_comp2_comp2_deployed(curr_id, target_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '组件-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

--  Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_his (id BIGINT NOT NULL, curr_id BIGINT NOT NULL, target_id BIGINT NOT NULL, his_version VARCHAR(8) NOT NULL COMMENT '历史版本号', CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_HIS PRIMARY KEY (id, curr_id, target_id)) COMMENT='组件-组件映射发布历史表';

ALTER TABLE koca_lcp_comp2_comp2_his COMMENT = '组件-组件映射发布历史表';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_his ON koca_lcp_comp2_comp2_his(curr_id, target_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_HIS_NO', '组件-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');
update koca_sys_menu set menu_status=1 where menu_id in ('415000');
