--  Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE koca_lcp_page2 ADD home_page CHAR(1) DEFAULT 'N' NOT NULL COMMENT '是否首页';

--  Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE koca_lcp_page_config (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', config_json LONGTEXT NOT NULL COMMENT '配置json', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_PAGE_CONFIG PRIMARY KEY (id)) COMMENT='页面全局配置';

ALTER TABLE koca_lcp_page_config COMMENT = '页面全局配置';

CREATE UNIQUE INDEX uk_lcp_page_config_code ON koca_lcp_page_config(tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', '页面全局配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '');