-- RPT_RESOURCE_FILE definition

CREATE TABLE RPT_RESOURCE_FILE (
	id VARCHAR2(100) NOT NULL,
	file_name VARCHAR2(100) NOT NULL,
	storage_name VARCHAR2(100) NULL,
	"type" VARCHAR2(100) NULL,
	upload_time VARCHAR2(100) NOT NULL,
	storage_path VARCHAR2(100) NOT NULL,
	thumbnail CLOB NULL,
	CONSTRAINT RPT_RESOURCE_FILE_PK PRIMARY KEY (id)
);
COMMENT ON TABLE RPT_RESOURCE_FILE IS '文件资源表';
COMMENT ON COLUMN RPT_RESOURCE_FILE.id IS 'id';
COMMENT ON COLUMN RPT_RESOURCE_FILE.file_name IS '文件名';
COMMENT ON COLUMN RPT_RESOURCE_FILE.storage_name IS '存储名';
COMMENT ON COLUMN RPT_RESOURCE_FILE."type" IS '类型';
COMMENT ON COLUMN RPT_RESOURCE_FILE.upload_time IS '上传时间';
COMMENT ON COLUMN RPT_RESOURCE_FILE.storage_path IS '存储路径';
COMMENT ON COLUMN RPT_RESOURCE_FILE.thumbnail IS '缩略图';
