﻿create table koca_front_profiles
(
  env_code    varchar(32) not null,
  terminal_type    varchar(16) default '*',
  env_mark    varchar(64) ,
  primary_color    varchar(64) ,
  logo    varchar(256) ,
  watermark  varchar(1) default '0',
  timeout  int default 5000,
  is_tracking  varchar(1) default '0',
  env_version  varchar(32),
  app_title  varchar(128) default '金证云原生平台',
  ext_config varchar(1024)
);
alter table koca_front_profiles add constraint front_profiles_key primary key (env_code, terminal_type);

create table koca_front_user_parameter
(
    user_no varchar(32) not null,
    par_code varchar(32) not null,
    par_val text
);
alter table koca_front_user_parameter add constraint koca_front_user_parameter_key primary key (user_no, par_code);

create table koca_user_component_setting
(
    user_no     varchar(64) not null,
    page_code   varchar(128) not null,
    component_code   varchar(128) not null,
    component_setting text,
    other_setting text
)
;
alter table koca_user_component_setting
    add primary key (user_no, page_code, component_code);