-- Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE koca_lcp_page2 ADD home_page CHAR(1) DEFAULT 'N' NOT NULL;

COMMENT ON COLUMN koca_lcp_page2.home_page IS '是否首页';

-- Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE koca_lcp_page_config (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, config_json TEXT NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_PAGE_CONFIG_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page_config IS '页面全局配置';

COMMENT ON COLUMN koca_lcp_page_config.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_page_config.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_page_config.config_json IS '配置json';

COMMENT ON COLUMN koca_lcp_page_config.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page_config.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page_config.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page_config.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_page_config_code ON koca_lcp_page_config(tenant_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', '页面全局配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '');