-- Changeset V4.2.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page2_history::liusheng
CREATE TABLE koca_lcp_page2_history (id BIGINT NOT NULL, page_id BIGINT NOT NULL, page_meta TEXT NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_PAGE2_HISTORY_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_page2_history IS '页面历史版本表';

COMMENT ON COLUMN koca_lcp_page2_history.page_id IS '页面id';

COMMENT ON COLUMN koca_lcp_page2_history.page_meta IS '版本元数据';

COMMENT ON COLUMN koca_lcp_page2_history.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_page2_history.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_page2_history.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_page2_history.updated_at IS '更新时间';

CREATE INDEX idx_page_id ON koca_lcp_page2_history(page_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_PAGE_HISTORY_NO', '页面历史版本序列', '8', '1', '', '', '0');