-- RPT_RESOURCE_FILE definition

CREATE TABLE [dbo].[RPT_RESOURCE_FILE] (
	id varchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL,
	file_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	storage_name varchar(256) COLLATE Chinese_PRC_CI_AS NULL,
	upload_time varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	storage_path varchar(512) COLLATE Chinese_PRC_CI_AS NULL,
	[type] varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	thumbnail text COLLATE Chinese_PRC_CI_AS NULL,
	CONSTRAINT RPT_RESOURCE_FILE_PK PRIMARY KEY (id)
);

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'id'
GO
EXEC sp_addextendedproperty
'MS_Description', N'文件名',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'file_name'
GO
EXEC sp_addextendedproperty
'MS_Description', N'存储名',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'storage_name'
GO
EXEC sp_addextendedproperty
'MS_Description', N'上传时间',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'upload_time'
GO
EXEC sp_addextendedproperty
'MS_Description', N'存储路径',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'storage_path'
GO
EXEC sp_addextendedproperty
'MS_Description', N'类型',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'type'
GO
EXEC sp_addextendedproperty
'MS_Description', N'缩略图',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE',
'COLUMN', N'thumbnail'
GO

EXEC sp_addextendedproperty
'MS_Description', N'资源文件表',
'SCHEMA', N'dbo',
'TABLE', N'RPT_RESOURCE_FILE'
GO
