-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_basic::YaChao Lv
CREATE TABLE dbo.mi_api_basic (data_id bigint NOT NULL, project_code nvarchar(64), env_code nvarchar(32), app_code nvarchar(32), group_id bigint, service_code nvarchar(32), api_code nvarchar(128), api_name nvarchar(128), api_pos bigint CONSTRAINT DF_mi_api_basic_api_pos DEFAULT 1 NOT NULL, remark varchar(MAX), access_api_code nvarchar(128), api_protocol nvarchar(2), model_id bigint, crud_type nvarchar(32), create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_BASIC PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息表',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'服务代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'service_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'access_api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口协议(类型)',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'api_protocol'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_basic',
'COLUMN', N'update_time'
GO

CREATE UNIQUE NONCLUSTERED INDEX udx_api_basic_info_code ON dbo.mi_api_basic(project_code, env_code, api_code)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('GLOBLE_DB_DATAID', N'接口全局序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('GLOBLE_DB_DATAID', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_group::YaChao Lv
CREATE TABLE dbo.mi_api_group (data_id bigint NOT NULL, project_code nvarchar(64), env_code nvarchar(32), app_code nvarchar(32), parent_id bigint, group_name nvarchar(64), group_pos bigint CONSTRAINT DF_mi_api_group_group_pos DEFAULT 1 NOT NULL, create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_GROUP PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api分组',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父节点',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组名称',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'group_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_group',
'COLUMN', N'update_time'
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param::YaChao Lv
CREATE TABLE dbo.mi_api_param (data_id bigint NOT NULL, project_code nvarchar(64), env_code nvarchar(32), app_code nvarchar(32), api_code nvarchar(128) NOT NULL, api_version nvarchar(32) NOT NULL, para_code nvarchar(128) NOT NULL, access_param_code nvarchar(128), parent_id int, para_name nvarchar(120) NOT NULL, para_type int, para_pos nvarchar(30), para_desc nvarchar(1000), data_type nvarchar(32), data_length nvarchar(32), scale numeric(10, 2), required int, default_value nvarchar(128), model_field_code nvarchar(512), create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_PARAM PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'para_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接入参数代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'access_param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'para_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型  1请求 2响应',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'para_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数位置',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'para_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'para_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'scale'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param',
'COLUMN', N'update_time'
GO

CREATE UNIQUE NONCLUSTERED INDEX idx_mi_api_param_code ON dbo.mi_api_param(project_code, env_code, api_code, api_version, para_code, para_type, parent_id)
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_meta::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param_meta (id bigint NOT NULL, api_param_id bigint NOT NULL, meta_info varchar(MAX), CONSTRAINT PK_KOCA_LCP_API_PARAM_META PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'API参数前端元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'前端元数据信息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_meta',
'COLUMN', N'meta_info'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_id ON dbo.koca_lcp_api_param_meta(api_param_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_META_NO', N'LCP接口参数元数据序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_META_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_param_temp::YaChao Lv
CREATE TABLE dbo.mi_api_param_temp (data_id bigint NOT NULL, project_code nvarchar(64), env_code nvarchar(32), app_code nvarchar(32), api_code nvarchar(128) NOT NULL, api_version nvarchar(32) NOT NULL, para_code nvarchar(128) NOT NULL, para_name nvarchar(120) NOT NULL, para_type int, para_pos nvarchar(30), para_desc nvarchar(1000), data_type nvarchar(32), data_length nvarchar(32), scale numeric(10, 2), required int, parent_id int, default_value nvarchar(128), create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_PARAM_TEMP PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数发布表',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'para_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'para_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型  1请求 2响应',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'para_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数位置',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'para_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'para_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'scale'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_param_temp',
'COLUMN', N'update_time'
GO

CREATE UNIQUE NONCLUSTERED INDEX idx_mi_api_param_temp_code ON dbo.mi_api_param_temp(project_code, env_code, api_code, api_version, para_code, para_type, parent_id)
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_temp::YaChao Lv
CREATE TABLE dbo.mi_api_temp (data_id bigint NOT NULL, project_code nvarchar(64), api_version nvarchar(32) NOT NULL, env_code nvarchar(32), app_code nvarchar(32), group_id bigint, service_code nvarchar(32), api_code nvarchar(128), api_name nvarchar(128), api_status nvarchar(1), remark varchar(MAX), version_remark varchar(MAX), api_protocol nvarchar(128), create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_TEMP PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api信息导入临时表',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'服务代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'service_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api状态',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'api_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'version_remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'多协议逗号分开',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'api_protocol'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_temp',
'COLUMN', N'update_time'
GO

CREATE UNIQUE NONCLUSTERED INDEX udx_api_version_temp_code ON dbo.mi_api_temp(project_code, env_code, api_code, service_code, api_version)
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::create_table_mi_api_version::YaChao Lv
CREATE TABLE dbo.mi_api_version (data_id bigint NOT NULL, api_version nvarchar(32) NOT NULL, project_code nvarchar(64), env_code nvarchar(32), app_code nvarchar(32), api_code nvarchar(128), api_status nvarchar(1), version_remark varchar(MAX), api_protocol nvarchar(128), create_by nvarchar(32), update_by nvarchar(32), create_time datetime, update_time datetime, CONSTRAINT PK_MI_API_VERSION PRIMARY KEY (data_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本表',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api版本',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'api_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'项目编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'project_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'环境编号',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'env_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'应用代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'app_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api状态',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'api_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本说明',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'version_remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'多协议逗号分开',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'api_protocol'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'create_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'update_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'create_time'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'mi_api_version',
'COLUMN', N'update_time'
GO

CREATE UNIQUE NONCLUSTERED INDEX udx_api_version_code ON dbo.mi_api_version(project_code, env_code, api_code, api_version)
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_menu::YaChao Lv
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416000', '0', '0', N'接口管理', '', '', '415000', 'kui-icon-API', '0', N'接口管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416001', '0', '0', N'接口管理', '/lcp-runtime-api/views/api-manage/apiauth/index.vue', '416000', '', '', '0', N'接口管理')
GO

-- Changeset V4.1.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_dictionary::YaChao Lv
INSERT INTO dbo.koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21006', N'参数类型', '0', '@', '', '')
GO

INSERT INTO dbo.koca_sys_dictionary (dict_code, dict_name, dict_type, maintain_flag, remark, tenant_id) VALUES ('21005', N'接口状态', '0', '@', '', '')
GO

INSERT INTO dbo.koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21005', 'zh_CN', N'接口状态')
GO

INSERT INTO dbo.koca_sys_dictionary_i18n (dict_code, language_type, dict_name) VALUES ('21006', 'zh_CN', N'参数类型')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '1', 'string', '1', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '2', 'number', '2', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '3', 'boolean', '3', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '4', 'array', '4', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21006', '-1', '5', 'object', '5', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '0', N'禁用', '1', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item (dict_code, org_code, dict_item, dict_item_name, dict_ord, remark) VALUES ('21005', '-1', '1', N'启用', '2', '')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '1', 'string', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '2', 'number', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '3', 'boolean', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '4', 'array', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21006', '-1', '5', 'object', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '0', N'禁用', 'zh_CN')
GO

INSERT INTO dbo.koca_sys_dictionary_item_i18n (dict_code, org_code, dict_item, dict_item_name, language_type) VALUES ('21005', '-1', '1', N'启用', 'zh_CN')
GO