-- Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_tpl::liusheng
CREATE TABLE dbo.koca_lcp_api_param_tpl (id bigint NOT NULL, tpl_name nvarchar(64) NOT NULL, tpl_desc nvarchar(64), meta_info varchar(MAX), tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_param_tpl_tenant_id DEFAULT '-1' NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_TPL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'UI模板',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'tpl_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'tpl_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'meta_info'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_tpl',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_name ON dbo.koca_lcp_api_param_tpl(tenant_id, tpl_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_TPL_NO', N'字段UI模板序列', '8', '1', '', '', '0')
GO

-- Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::update_koca_sys_menu::liusheng
UPDATE dbo.koca_sys_menu SET menu_name = N'接口设计', remark = N'接口设计' WHERE menu_id=416000
GO

UPDATE dbo.koca_sys_menu SET menu_name = N'API设计', remark = N'API设计' WHERE menu_id=416001
GO

-- Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_menu::liusheng
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416110', '0', '2', N'模板管理', '', '416001', '', '', '0', N'模板管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416120', '0', '2', N'保存为模板', '', '416001', '416110', '', '0', N'保存为模板')
GO