-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_basic (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_basic_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_api_basic_group_id DEFAULT -1 NOT NULL, api_code nvarchar(64) NOT NULL, api_name nvarchar(64) NOT NULL, api_url nvarchar(255) NOT NULL, api_method nvarchar(32) NOT NULL, api_pos int CONSTRAINT DF_koca_lcp_api_basic_api_pos DEFAULT 0 NOT NULL, remark varchar(MAX), api_req_body_type nvarchar(32) NOT NULL, api_resp_body_type nvarchar(32) NOT NULL, api_req_root_type nvarchar(32) NOT NULL, api_resp_root_type nvarchar(32) NOT NULL, model_id bigint, crud_type nvarchar(32), deploy_status nvarchar(32) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_url'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口方法',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_method'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_req_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_resp_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_req_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'api_resp_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'deploy_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_code ON dbo.koca_lcp_api_basic(tenant_id, api_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_name ON dbo.koca_lcp_api_basic(tenant_id, api_name)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_url ON dbo.koca_lcp_api_basic(tenant_id, api_method, api_url)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_BASIC_NO', N'LCP API基础数据序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_BASIC_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_group::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_group (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_group_tenant_id DEFAULT '-1' NOT NULL, parent_id bigint CONSTRAINT DF_koca_lcp_api_group_parent_id DEFAULT -1 NOT NULL, group_code nvarchar(32) NOT NULL, group_name nvarchar(64) NOT NULL, id_path nvarchar(512) NOT NULL, group_pos int CONSTRAINT DF_koca_lcp_api_group_group_pos DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父节点',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'group_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_group_name ON dbo.koca_lcp_api_group(tenant_id, parent_id, group_name)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_group_code ON dbo.koca_lcp_api_group(tenant_id, parent_id, group_code)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_GROUP_NO', N'LCP API分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_param (id bigint NOT NULL, api_id bigint NOT NULL, parent_id bigint NOT NULL, param_code nvarchar(32) NOT NULL, param_name nvarchar(64) NOT NULL, param_type nvarchar(32) NOT NULL, param_pos int NOT NULL, param_desc nvarchar(255), data_type nvarchar(32) NOT NULL, data_length int, decimal_place int, required tinyint NOT NULL, default_value nvarchar(255), data_format nvarchar(32), data_dict_code nvarchar(32), model_field_code nvarchar(512), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'param_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型 请求/响应',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'param_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'param_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'param_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段数据格式',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'data_format'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'data_dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param',
'COLUMN', N'updated_at'
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_NO', N'LCP API参数序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_API_PARAM_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_deployed::YaChao Lv
DROP TABLE koca_lcp_api_basic_deployed
GO

CREATE TABLE dbo.koca_lcp_api_basic_deployed (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_basic_deployed_tenant_id DEFAULT '-1' NOT NULL, group_id bigint, api_id bigint NOT NULL, api_code nvarchar(64), api_name nvarchar(64), api_url nvarchar(255) NOT NULL, api_method nvarchar(32) NOT NULL, api_pos int CONSTRAINT DF_koca_lcp_api_basic_deployed_api_pos DEFAULT 0 NOT NULL, remark varchar(MAX), api_req_body_type nvarchar(32) NOT NULL, api_resp_body_type nvarchar(32) NOT NULL, api_req_root_type nvarchar(32) NOT NULL, api_resp_root_type nvarchar(32) NOT NULL, model_id bigint, crud_type nvarchar(32), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'分组ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_url'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口方法',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_method'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_req_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_resp_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_req_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'api_resp_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_id_deployed ON dbo.koca_lcp_api_basic_deployed(api_id)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_code_deployed ON dbo.koca_lcp_api_basic_deployed(tenant_id, api_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_name_deployed ON dbo.koca_lcp_api_basic_deployed(tenant_id, api_name)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_url_deployed ON dbo.koca_lcp_api_basic_deployed(tenant_id, api_method, api_url)
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_basic_his::YaChao Lv
DROP TABLE koca_lcp_api_basic_his
GO

CREATE TABLE dbo.koca_lcp_api_basic_his (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_api_basic_his_tenant_id DEFAULT '-1' NOT NULL, api_id bigint NOT NULL, api_code nvarchar(64) NOT NULL, api_name nvarchar(64) NOT NULL, api_url nvarchar(255) NOT NULL, api_method nvarchar(32) NOT NULL, api_pos int CONSTRAINT DF_koca_lcp_api_basic_his_api_pos DEFAULT 0 NOT NULL, remark varchar(MAX), api_req_body_type nvarchar(32) NOT NULL, api_resp_body_type nvarchar(32) NOT NULL, api_req_root_type nvarchar(32) NOT NULL, api_resp_root_type nvarchar(32) NOT NULL, model_id bigint, crud_type nvarchar(32), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api基础信息历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api路径',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_url'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口方法',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_method'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_req_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应body类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_resp_body_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口入参root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_req_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口响应root类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'api_resp_root_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增删改查类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'crud_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_id_his ON dbo.koca_lcp_api_basic_his(his_version, api_id)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_code_his ON dbo.koca_lcp_api_basic_his(tenant_id, api_code, his_version)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_name_his ON dbo.koca_lcp_api_basic_his(tenant_id, api_name, his_version)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_url_his ON dbo.koca_lcp_api_basic_his(tenant_id, api_method, api_url, his_version)
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_deployed::YaChao Lv
DROP TABLE koca_lcp_api_param_deployed
GO

CREATE TABLE dbo.koca_lcp_api_param_deployed (id bigint NOT NULL, api_param_id bigint NOT NULL, api_id bigint NOT NULL, parent_id bigint NOT NULL, param_code nvarchar(32) NOT NULL, param_name nvarchar(64) NOT NULL, param_type nvarchar(32) NOT NULL, param_pos int NOT NULL, param_desc nvarchar(255), data_type nvarchar(32) NOT NULL, data_length int, decimal_place int, required tinyint NOT NULL, default_value nvarchar(255), data_format nvarchar(32), data_dict_code nvarchar(32), model_field_code nvarchar(512), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'param_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型 请求/响应',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'param_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'param_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'param_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段数据格式',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_format'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'data_dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_code_deployed ON dbo.koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_name_deployed ON dbo.koca_lcp_api_param_deployed(api_id, param_type, parent_id, param_name)
GO

-- Changeset V4.3.0_0_2_152__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_his::YaChao Lv
DROP TABLE koca_lcp_api_param_his
GO

CREATE TABLE dbo.koca_lcp_api_param_his (id bigint NOT NULL, api_id bigint NOT NULL, api_param_id bigint NOT NULL, parent_id bigint NOT NULL, param_code nvarchar(32) NOT NULL, param_name nvarchar(64) NOT NULL, param_type nvarchar(32) NOT NULL, param_pos int NOT NULL, param_desc nvarchar(255), data_type nvarchar(32) NOT NULL, data_length int, decimal_place int, required tinyint NOT NULL, default_value nvarchar(255), data_format nvarchar(32), data_dict_code nvarchar(32), model_field_code nvarchar(512), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_PARAM_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api主键',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'api参数id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'api_param_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'param_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'param_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数类型 请求/响应',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'param_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'param_pos'
GO

EXEC sp_addextendedproperty
'MS_Description', N'参数说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'param_desc'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据类型',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据长度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_length'
GO

EXEC sp_addextendedproperty
'MS_Description', N'精度',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'decimal_place'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否必填',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'required'
GO

EXEC sp_addextendedproperty
'MS_Description', N'默认值',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'default_value'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段数据格式',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_format'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据字典代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'data_dict_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段代码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'model_field_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_param_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_code_his ON dbo.koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_api_param_name_his ON dbo.koca_lcp_api_param_his(his_version, api_id, param_type, parent_id, param_name)
GO