-- Changeset V4.2.0_0_2_171__koca_lcp_runtime_common.xml::create_table_koca_lcp_global_var_method::liusheng
CREATE TABLE dbo.koca_lcp_global_var_method (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_global_var_method_tenant_id DEFAULT '-1' NOT NULL, name nvarchar(512) NOT NULL, type nvarchar(16) NOT NULL, content varchar (max) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_METHOD PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'类型：VAR、METHOD',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'变量/方法内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'content'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_method',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_name_type ON dbo.koca_lcp_global_var_method(tenant_id, name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_GLOBAL_VAR_METHOD_NO', N'全局变量/方法序列', '8', '1', '', '', '0')
GO