-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::insert_koca_sys_menu::qiuhang
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415000', '0', '0', N'组件管理', '', '', '414000', 'kui-icon-batch', '0', N'组件管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415001', '0', '0', N'组件管理', '/lcp-runtime-component/views/component-manage/index.tsx', '415000', '', '', '0', N'组件管理')
GO

INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415002', '0', '1', N'组件设计器', '/lcp-runtime-component/views/designer/index.tsx', '415000', '415001', '', '0', N'组件设计器')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_group::chenlei
CREATE TABLE dbo.koca_lcp_comp2_group (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_comp2_group_tenant_id DEFAULT '-1' NOT NULL, group_code nvarchar(64) NOT NULL, group_name nvarchar(64) NOT NULL, parent_id bigint CONSTRAINT DF_koca_lcp_comp2_group_parent_id DEFAULT '-1' NOT NULL, id_path nvarchar(512) NOT NULL, sort_no int CONSTRAINT DF_koca_lcp_comp2_group_sort_no DEFAULT 0 NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_GROUP PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务组件分组',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'group_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'group_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'parent_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面分组id路径，用于删除或查询',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'id_path'
GO

EXEC sp_addextendedproperty
'MS_Description', N'序号，用于同级目录排序',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'sort_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_group',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_group_code ON dbo.koca_lcp_comp2_group(tenant_id, parent_id, group_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_group_name ON dbo.koca_lcp_comp2_group(tenant_id, parent_id, group_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_GROUP_NO', N'页面分组序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_GROUP_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2::chenlei
CREATE TABLE dbo.koca_lcp_comp2 (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_comp2_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_comp2_group_id DEFAULT '-1' NOT NULL, comp_code nvarchar(64) NOT NULL, comp_name nvarchar(64) NOT NULL, comp_meta varchar(MAX), comp_remark nvarchar(256), deploy_status nvarchar(32) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2 PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务组件管理2',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'comp_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'comp_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'comp_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'comp_remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'发布状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'deploy_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_code ON dbo.koca_lcp_comp2(tenant_id, group_id, comp_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_name ON dbo.koca_lcp_comp2(tenant_id, group_id, comp_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_NO', N'组件2序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_deployed (id bigint NOT NULL, comp_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_comp2_deployed_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_comp2_deployed_group_id DEFAULT '-1' NOT NULL, comp_code nvarchar(64) NOT NULL, comp_name nvarchar(64) NOT NULL, comp_meta varchar(MAX), comp_remark nvarchar(256), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务组件管理已发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'comp_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'comp_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'comp_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'comp_remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_deployed_code ON dbo.koca_lcp_comp2_deployed(tenant_id, group_id, comp_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_deployed_name ON dbo.koca_lcp_comp2_deployed(tenant_id, group_id, comp_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_DEPLOYED_NO', N'发布组件序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_his (id bigint NOT NULL, comp_id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_comp2_his_tenant_id DEFAULT '-1' NOT NULL, group_id bigint CONSTRAINT DF_koca_lcp_comp2_his_group_id DEFAULT '-1' NOT NULL, comp_code nvarchar(64) NOT NULL, comp_name nvarchar(64) NOT NULL, comp_meta varchar(MAX), comp_remark nvarchar(256), his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'业务组件发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'comp_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'父级目录',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'group_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件编码',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'comp_code'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'comp_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件元数据',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'comp_meta'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件描述',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'comp_remark'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_his_code ON dbo.koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_code)
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_his_name ON dbo.koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_HIS_NO', N'组件历史序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_global_var_comp2::liusheng
CREATE TABLE dbo.koca_lcp_global_var_comp2 (var_name nvarchar(512) NOT NULL, comp2_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_COMP2 PRIMARY KEY (var_name, comp2_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-组件映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_comp2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_comp2',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_global_var_comp2',
'COLUMN', N'comp2_id'
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_comp2_deployed (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, comp2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-组件映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_deployed',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_deployed',
'COLUMN', N'comp2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_var_deployed ON dbo.koca_lcp_var_comp2_deployed(comp2_id, var_name)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', N'变量/方法组件关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_var_comp2_his (id bigint NOT NULL, var_name nvarchar(512) NOT NULL, comp2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法-组件映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'全局变量/方法名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_his',
'COLUMN', N'var_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_his',
'COLUMN', N'comp2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_var_comp2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_var_his ON dbo.koca_lcp_var_comp2_his(comp2_id, var_name, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_HIS_NO', N'变量/方法组件关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_basic_comp2::liusheng
CREATE TABLE dbo.koca_lcp_api_basic_comp2 (data_id bigint NOT NULL, comp2_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_COMP2 PRIMARY KEY (data_id, comp2_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段-组件映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_comp2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_comp2',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_basic_comp2',
'COLUMN', N'comp2_id'
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_comp2_deployed (id bigint NOT NULL, data_id bigint NOT NULL, comp2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_DEPLOYED PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口-组件映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_deployed',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_deployed',
'COLUMN', N'comp2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_api_deployed ON dbo.koca_lcp_api_comp2_deployed(data_id, comp2_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_DEPLOYED_NO', N'接口组件关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_api_comp2_his (id bigint NOT NULL, data_id bigint NOT NULL, comp2_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_HIS PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'接口-组件映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_his',
'COLUMN', N'data_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_his',
'COLUMN', N'comp2_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_api_comp2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_api_his ON dbo.koca_lcp_api_comp2_his(data_id, comp2_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_HIS_NO', N'接口组件关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_HIS_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2::liusheng
CREATE TABLE dbo.koca_lcp_comp2_comp2 (curr_id bigint NOT NULL, target_id bigint NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2 PRIMARY KEY (curr_id, target_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件-组件映射表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2',
'COLUMN', N'curr_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2',
'COLUMN', N'target_id'
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_deployed::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_comp2_deployed (id bigint NOT NULL, curr_id bigint NOT NULL, target_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_DEPLOYED PRIMARY KEY (id, curr_id, target_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件-组件映射发布表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_deployed'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_deployed',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_deployed',
'COLUMN', N'curr_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_deployed',
'COLUMN', N'target_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_deployed',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_comp2_deployed ON dbo.koca_lcp_comp2_comp2_deployed(curr_id, target_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', N'组件-组件关系发布表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '')
GO

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_his::YaChao Lv
CREATE TABLE dbo.koca_lcp_comp2_comp2_his (id bigint NOT NULL, curr_id bigint NOT NULL, target_id bigint NOT NULL, his_version nvarchar(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_HIS PRIMARY KEY (id, curr_id, target_id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'组件-组件映射发布历史表',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_his'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_his',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'当前组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_his',
'COLUMN', N'curr_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'关联组件id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_his',
'COLUMN', N'target_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'历史版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_comp2_comp2_his',
'COLUMN', N'his_version'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_comp2_comp2_his ON dbo.koca_lcp_comp2_comp2_his(curr_id, target_id, his_version)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_HIS_NO', N'组件-组件关系发布历史表序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_HIS_NO', '0', '0', '0', '100000', '', '')
GO
update koca_sys_menu set menu_status=1 where menu_id in ('415000');
