-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_field::liusheng
ALTER TABLE dbo.koca_lcp_data_model_field ADD field_explain nvarchar(512)
GO

ALTER TABLE dbo.koca_lcp_data_model_field ADD is_sensitive tinyint CONSTRAINT DF_koca_lcp_data_model_field_is_sensitive DEFAULT 0 NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段说明',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'field_explain'
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否屏蔽',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_field',
'COLUMN', N'is_sensitive'
GO

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE dbo.koca_lcp_data_model ADD title_field nvarchar(255)
GO

ALTER TABLE dbo.koca_lcp_data_model ADD title_tmpl nvarchar(255)
GO

EXEC sp_addextendedproperty
'MS_Description', N'标题key',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'title_field'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模板内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'title_tmpl'
GO

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_sensitive::liusheng
CREATE TABLE dbo.koca_lcp_model_field_sensitive (id bigint NOT NULL, model_field_id bigint NOT NULL, replace_position tinyint NOT NULL, replace_num int NOT NULL, replace_char nvarchar(1) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_SENSITIVE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段屏蔽规则',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive'
GO

EXEC sp_addextendedproperty
'MS_Description', N'屏蔽规则id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'model_field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'替换位置:1-前，2-中，3-后',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_position'
GO

EXEC sp_addextendedproperty
'MS_Description', N'最小屏蔽位数；未达到最小位数，全屏蔽',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_num'
GO

EXEC sp_addextendedproperty
'MS_Description', N'屏蔽字符，默认：*',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'replace_char'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_sensitive',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_model_field_id ON dbo.koca_lcp_model_field_sensitive(model_field_id)
GO

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::insert_koca_sys_no_dtl_data_model_field::liusheng
INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_MODEL_FIELD_RULE_NO', N'数据模型字段屏蔽规则序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_FIELD_CHECK_RULE_NO', N'数据模型字段校验规则序列', '8', '1', '', '', '0')
GO

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_field_rule::liusheng
CREATE TABLE dbo.koca_lcp_model_field_rule (id int NOT NULL, model_id bigint NOT NULL, model_field_id bigint NOT NULL, check_rule_condition nvarchar(128), check_rule_type nvarchar(32) NOT NULL, check_rule_content nvarchar(128) NOT NULL, error_tip nvarchar(128), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_MODEL_FIELD_RULE PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'字段校验规则',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule'
GO

EXEC sp_addextendedproperty
'MS_Description', N'校验规则id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据模型字段id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'model_field_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'规则校验前置条件（spel表达式字符串）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_condition'
GO

EXEC sp_addextendedproperty
'MS_Description', N'规则校验类型：REGX-正则校验，LENGTH_LIMIT-长度限制',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'校验规则内容，配合check_rule_type字段使用',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'check_rule_content'
GO

EXEC sp_addextendedproperty
'MS_Description', N'错误提示',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'error_tip'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_model_field_rule',
'COLUMN', N'updated_at'
GO

-- Changeset V4.1.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_er::liusheng
ALTER TABLE dbo.koca_lcp_data_model_er ADD rela_delete_strategy int CONSTRAINT DF_koca_lcp_data_model_er_rela_delete_strategy DEFAULT 1 NOT NULL
GO

ALTER TABLE dbo.koca_lcp_data_model_er ADD rela_delete_info nvarchar(128)
GO

EXEC sp_addextendedproperty
'MS_Description', N'删除校验策略（1-阻止，2-跟随，3-忽略）',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'rela_delete_strategy'
GO

EXEC sp_addextendedproperty
'MS_Description', N'自定义提醒内容',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model_er',
'COLUMN', N'rela_delete_info'
GO