-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::liusheng
INSERT INTO dbo.koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412014', '0', '2', N'数据模型-版本管理', '', '412011', '412013', '', '0', N'数据模型-版本管理')
GO

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE dbo.koca_lcp_data_model ADD since_no bigint
GO

EXEC sp_addextendedproperty
'MS_Description', N'初始版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_data_model',
'COLUMN', N'since_no'
GO

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version::liusheng
CREATE TABLE dbo.koca_lcp_ds_version (ds_id bigint NOT NULL, version_no bigint NOT NULL, sync_msg nvarchar(256), sync_status nvarchar(16) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION PRIMARY KEY (ds_id, version_no))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号，唯一，递增，代码实现',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'version_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步消息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'sync_msg'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本同步状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'sync_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version',
'COLUMN', N'updated_at'
GO

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version_detail::liusheng
CREATE TABLE dbo.koca_lcp_ds_version_detail (id bigint NOT NULL, ds_id bigint NOT NULL, version_no bigint NOT NULL, model_id bigint NOT NULL, model_name nvarchar(32) NOT NULL, table_name nvarchar(512) NOT NULL, change_type nvarchar(16) NOT NULL, inc_sql varchar(MAX), sync_status nvarchar(16) NOT NULL, error_msg nvarchar(256), operator nvarchar(32), snapshot varchar(MAX), created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION_DETAIL PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型版本',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail'
GO

EXEC sp_addextendedproperty
'MS_Description', N'id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'数据源id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'ds_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本号',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'version_no'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'model_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型名称',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'model_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'表名',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'table_name'
GO

EXEC sp_addextendedproperty
'MS_Description', N'变更类型:CREATE,MODIFY,DROP',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'change_type'
GO

EXEC sp_addextendedproperty
'MS_Description', N'增量sql',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'inc_sql'
GO

EXEC sp_addextendedproperty
'MS_Description', N'版本同步状态',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'sync_status'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步失败消息',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'error_msg'
GO

EXEC sp_addextendedproperty
'MS_Description', N'同步用户',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'operator'
GO

EXEC sp_addextendedproperty
'MS_Description', N'模型快照',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'snapshot'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_ds_version_detail',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_ds_version_model ON dbo.koca_lcp_ds_version_detail(ds_id, version_no, model_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DS_VERSION_DETAIL', N'数据模型版本详情序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DS_VERSION_DETAIL', '0', '0', '0', '100000', '', '')
GO