-- Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::alter_table_koca_lcp_page2::YaChao Lv
ALTER TABLE dbo.koca_lcp_page2 ADD home_page char(1) CONSTRAINT DF_koca_lcp_page2_home_page DEFAULT 'N' NOT NULL
GO

EXEC sp_addextendedproperty
'MS_Description', N'是否首页',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page2',
'COLUMN', N'home_page'
GO

-- Changeset V4.1.0_0_2_132__koca_lcp_runtime_page.xml::create_table_koca_lcp_page_config::YaChao Lv
CREATE TABLE dbo.koca_lcp_page_config (id bigint NOT NULL, tenant_id nvarchar(32) CONSTRAINT DF_koca_lcp_page_config_tenant_id DEFAULT '-1' NOT NULL, config_json varchar(MAX) NOT NULL, created_by nvarchar(32) NOT NULL, updated_by nvarchar(32) NOT NULL, created_at nvarchar(32) NOT NULL, updated_at nvarchar(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_PAGE_CONFIG PRIMARY KEY (id))
GO

EXEC sp_addextendedproperty
'MS_Description', N'页面全局配置',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config'
GO

EXEC sp_addextendedproperty
'MS_Description', N'主键ID',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'租户id',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'tenant_id'
GO

EXEC sp_addextendedproperty
'MS_Description', N'配置json',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'config_json'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'created_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新人',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'updated_by'
GO

EXEC sp_addextendedproperty
'MS_Description', N'创建时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'created_at'
GO

EXEC sp_addextendedproperty
'MS_Description', N'更新时间',
'SCHEMA', N'dbo',
'TABLE', N'koca_lcp_page_config',
'COLUMN', N'updated_at'
GO

CREATE UNIQUE NONCLUSTERED INDEX uk_lcp_page_config_code ON dbo.koca_lcp_page_config(tenant_id)
GO

INSERT INTO dbo.koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_PAGE_CONFIG_NO', N'页面全局配置序列', '8', '1', '', '', '0')
GO

INSERT INTO dbo.koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_PAGE_CONFIG_NO', '0', '0', '0', '100000', '', '')
GO