-- activiti升级flowable脚本
-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6120.to.6200.common.sql
insert into ACT_GE_PROPERTY values ('common.schema.version', '6.2.0.0', 1);
-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6200.to.6210.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6210.to.6300.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6300.to.6301.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6301.to.6310.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6310.to.6320.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6320.to.6400.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6400.to.6410.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6410.to.6411.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6411.to.6412.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6412.to.6413.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6413.to.6500.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6500.to.6501.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6501.to.6502.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6502.to.6503.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6503.to.6504.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6504.to.6505.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'common.schema.version';

-- org/flowable/common/db/upgrade/flowable.all.upgradestep.6505.to.6506.common.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'common.schema.version';

-- org/flowable/idm/db/upgrade/flowable.mysql.upgradestep.59900.to.6000.identity.sql
create table ACT_ID_PROPERTY (
    NAME_ varchar(64),
    VALUE_ varchar(300),
    REV_ integer,
    primary key (NAME_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

insert into ACT_ID_PROPERTY
values ('schema.version', '6.0.0.0', 1);

create table ACT_ID_BYTEARRAY (
    ID_ varchar(64),
    REV_ integer,
    NAME_ varchar(255),
    BYTES_ LONGBLOB,
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table ACT_ID_TOKEN (
    ID_ varchar(64) not null,
    REV_ integer,
    TOKEN_VALUE_ varchar(255),
    TOKEN_DATE_ timestamp(3),
    IP_ADDRESS_ varchar(255),
    USER_AGENT_ varchar(255),
    USER_ID_ varchar(255),
    TOKEN_DATA_ varchar(2000),
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table ACT_ID_PRIV (
    ID_ varchar(64) not null,
    NAME_ varchar(255),
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table ACT_ID_PRIV_MAPPING (
    ID_ varchar(64) not null,
    PRIV_ID_ varchar(64) not null,
    USER_ID_ varchar(255),
    GROUP_ID_ varchar(255),
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

alter table ACT_ID_PRIV_MAPPING 
    add constraint ACT_FK_PRIV_MAPPING 
    foreign key (PRIV_ID_) 
    references ACT_ID_PRIV (ID_);
    
create index ACT_IDX_PRIV_USER on ACT_ID_PRIV_MAPPING(USER_ID_);
create index ACT_IDX_PRIV_GROUP on ACT_ID_PRIV_MAPPING(GROUP_ID_);   


-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6200.to.6210.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.mysql.upgradestep.6210.to.6300.identity.sql
alter table ACT_ID_USER add TENANT_ID_ varchar(255) default '';

alter table ACT_ID_PRIV modify NAME_ varchar(255) not null;
alter table ACT_ID_PRIV add constraint ACT_UNIQ_PRIV_NAME unique (NAME_);

update ACT_ID_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6300.to.6301.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6301.to.6310.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.mysql.upgradestep.6310.to.6320.identity.sql
alter table ACT_ID_USER add DISPLAY_NAME_ varchar(255) default '';

update ACT_ID_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6320.to.6400.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6400.to.6410.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6410.to.6411.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6411.to.6412.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6412.to.6413.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6413.to.6500.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6500.to.6501.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6501.to.6502.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6502.to.6503.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6503.to.6504.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6504.to.6505.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'schema.version';

-- org/flowable/idm/db/upgrade/flowable.all.upgradestep.6505.to.6506.identity.sql
update ACT_ID_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.59900.to.6000.engine.sql
alter table ACT_RE_PROCDEF add column ENGINE_VERSION_ varchar(255);
update ACT_RE_PROCDEF set ENGINE_VERSION_ = 'v5';

alter table ACT_RE_DEPLOYMENT add column ENGINE_VERSION_ varchar(255);
update ACT_RE_DEPLOYMENT set ENGINE_VERSION_ = 'v5';

alter table ACT_RU_EXECUTION add column ROOT_PROC_INST_ID_ varchar(64);
create index ACT_IDX_EXEC_ROOT on ACT_RU_EXECUTION(ROOT_PROC_INST_ID_);

alter table ACT_RU_EXECUTION  drop foreign key ACT_FK_EXE_PARENT;
alter table ACT_RU_EXECUTION add constraint ACT_FK_EXE_PARENT foreign key (PARENT_ID_) references ACT_RU_EXECUTION (ID_) on delete cascade; 

alter table ACT_RU_EXECUTION drop foreign key ACT_FK_EXE_SUPER;
alter table ACT_RU_EXECUTION add constraint ACT_FK_EXE_SUPER foreign key (SUPER_EXEC_) references ACT_RU_EXECUTION (ID_) on delete cascade;

update ACT_GE_PROPERTY set VALUE_ = '6.0.0.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6000.to.6001.engine.sql
alter table ACT_RU_EXECUTION add column IS_MI_ROOT_ TINYINT;

update ACT_GE_PROPERTY set VALUE_ = '6.0.0.1' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6001.to.6002.engine.sql
create table ACT_RU_TIMER_JOB (
    ID_ varchar(64) NOT NULL,
    REV_ integer,
    TYPE_ varchar(255) NOT NULL,
    LOCK_EXP_TIME_ timestamp(3) NULL,
    LOCK_OWNER_ varchar(255),
    EXCLUSIVE_ boolean,
    EXECUTION_ID_ varchar(64),
    PROCESS_INSTANCE_ID_ varchar(64),
    PROC_DEF_ID_ varchar(64),
    RETRIES_ integer,
    EXCEPTION_STACK_ID_ varchar(64),
    EXCEPTION_MSG_ varchar(4000),
    DUEDATE_ timestamp(3) NULL,
    REPEAT_ varchar(255),
    HANDLER_TYPE_ varchar(255),
    HANDLER_CFG_ varchar(4000),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table ACT_RU_SUSPENDED_JOB (
    ID_ varchar(64) NOT NULL,
    REV_ integer,
    TYPE_ varchar(255) NOT NULL,
    EXCLUSIVE_ boolean,
    EXECUTION_ID_ varchar(64),
    PROCESS_INSTANCE_ID_ varchar(64),
    PROC_DEF_ID_ varchar(64),
    RETRIES_ integer,
    EXCEPTION_STACK_ID_ varchar(64),
    EXCEPTION_MSG_ varchar(4000),
    DUEDATE_ timestamp(3) NULL,
    REPEAT_ varchar(255),
    HANDLER_TYPE_ varchar(255),
    HANDLER_CFG_ varchar(4000),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table ACT_RU_DEADLETTER_JOB (
    ID_ varchar(64) NOT NULL,
    REV_ integer,
    TYPE_ varchar(255) NOT NULL,
    EXCLUSIVE_ boolean,
    EXECUTION_ID_ varchar(64),
    PROCESS_INSTANCE_ID_ varchar(64),
    PROC_DEF_ID_ varchar(64),
    EXCEPTION_STACK_ID_ varchar(64),
    EXCEPTION_MSG_ varchar(4000),
    DUEDATE_ timestamp(3) NULL,
    REPEAT_ varchar(255),
    HANDLER_TYPE_ varchar(255),
    HANDLER_CFG_ varchar(4000),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TIMER_JOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TIMER_JOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TIMER_JOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TIMER_JOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SUSPENDED_JOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SUSPENDED_JOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SUSPENDED_JOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SUSPENDED_JOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DEADLETTER_JOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DEADLETTER_JOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DEADLETTER_JOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DEADLETTER_JOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
    
-- Moving jobs with retries <= 0 to ACT_RU_DEADLETTER_JOB

INSERT INTO ACT_RU_DEADLETTER_JOB (ID_, REV_, TYPE_, EXCLUSIVE_, EXECUTION_ID_, PROCESS_INSTANCE_ID_, PROC_DEF_ID_, 
EXCEPTION_STACK_ID_,     EXCEPTION_MSG_, DUEDATE_, REPEAT_, HANDLER_TYPE_, HANDLER_CFG_, TENANT_ID_)
(SELECT ID_, REV_, TYPE_, EXCLUSIVE_, EXECUTION_ID_, PROCESS_INSTANCE_ID_, PROC_DEF_ID_, 
EXCEPTION_STACK_ID_, EXCEPTION_MSG_, DUEDATE_, REPEAT_, HANDLER_TYPE_, HANDLER_CFG_, TENANT_ID_ 
from ACT_RU_JOB WHERE RETRIES_ <= 0);

DELETE FROM ACT_RU_JOB 
WHERE RETRIES_ <= 0;


-- Moving suspended jobs to ACT_RU_SUSPENDED_JOB

INSERT INTO ACT_RU_SUSPENDED_JOB (ID_, REV_, TYPE_, EXCLUSIVE_, EXECUTION_ID_, PROCESS_INSTANCE_ID_, PROC_DEF_ID_, 
RETRIES_, EXCEPTION_STACK_ID_,     EXCEPTION_MSG_, DUEDATE_, REPEAT_, HANDLER_TYPE_, HANDLER_CFG_, TENANT_ID_)
(SELECT job.ID_, job.REV_, job.TYPE_, job.EXCLUSIVE_, job.EXECUTION_ID_, job.PROCESS_INSTANCE_ID_, job.PROC_DEF_ID_, 
job.RETRIES_, job.EXCEPTION_STACK_ID_, job.EXCEPTION_MSG_, job.DUEDATE_, job.REPEAT_, job.HANDLER_TYPE_, job.HANDLER_CFG_, job.TENANT_ID_ 
from ACT_RU_JOB job INNER JOIN ACT_RU_EXECUTION execution on execution.ID_ = job.PROCESS_INSTANCE_ID_ where execution.SUSPENSION_STATE_ = 2);

DELETE FROM ACT_RU_JOB
WHERE PROCESS_INSTANCE_ID_ IN (SELECT ID_ FROM ACT_RU_EXECUTION execution WHERE execution.PARENT_ID_ is null and execution.SUSPENSION_STATE_ = 2);



-- Moving timer jobs to ACT_RU_TIMER_JOB

INSERT INTO ACT_RU_TIMER_JOB (ID_, REV_, TYPE_, LOCK_EXP_TIME_, LOCK_OWNER_, EXCLUSIVE_, EXECUTION_ID_, PROCESS_INSTANCE_ID_, 
PROC_DEF_ID_, RETRIES_, EXCEPTION_STACK_ID_, EXCEPTION_MSG_, DUEDATE_, REPEAT_, HANDLER_TYPE_, HANDLER_CFG_, TENANT_ID_)
(SELECT ID_, REV_, TYPE_, LOCK_EXP_TIME_, LOCK_OWNER_, EXCLUSIVE_, EXECUTION_ID_, PROCESS_INSTANCE_ID_, 
PROC_DEF_ID_, RETRIES_, EXCEPTION_STACK_ID_, EXCEPTION_MSG_, DUEDATE_, REPEAT_, HANDLER_TYPE_, HANDLER_CFG_, TENANT_ID_ 
from ACT_RU_JOB WHERE (HANDLER_TYPE_ = 'activate-processdefinition' or HANDLER_TYPE_ = 'suspend-processdefinition' 
or HANDLER_TYPE_ = 'timer-intermediate-transition' or HANDLER_TYPE_ = 'timer-start-event' or HANDLER_TYPE_ = 'timer-transition') and LOCK_EXP_TIME_ is null);

DELETE FROM ACT_RU_JOB 
WHERE (HANDLER_TYPE_ = 'activate-processdefinition' 
    or HANDLER_TYPE_ = 'suspend-processdefinition' 
    or HANDLER_TYPE_ = 'timer-intermediate-transition' 
    or HANDLER_TYPE_ = 'timer-start-event' 
    or HANDLER_TYPE_ = 'timer-transition') 
and LOCK_EXP_TIME_ is null;
    

alter table ACT_RU_EXECUTION add column START_TIME_ datetime(3);
alter table ACT_RU_EXECUTION add column START_USER_ID_ varchar(255);
alter table ACT_RU_TASK add column CLAIM_TIME_ datetime(3);

alter table ACT_RE_DEPLOYMENT add column KEY_ varchar(255);

-- Upgrade added in upgradestep.52001.to.52002.engine, which is not applied when already on beta2 
update ACT_RU_EVENT_SUBSCR set PROC_DEF_ID_ = CONFIGURATION_ where EVENT_TYPE_ = 'message' and PROC_INST_ID_ is null and EXECUTION_ID_ is null and PROC_DEF_ID_ is null;

-- Adding count columns for execution relationship count feature
alter table ACT_RU_EXECUTION add column IS_COUNT_ENABLED_ TINYINT;
alter table ACT_RU_EXECUTION add column EVT_SUBSCR_COUNT_ integer; 
alter table ACT_RU_EXECUTION add column TASK_COUNT_ integer; 
alter table ACT_RU_EXECUTION add column JOB_COUNT_ integer; 
alter table ACT_RU_EXECUTION add column TIMER_JOB_COUNT_ integer;
alter table ACT_RU_EXECUTION add column SUSP_JOB_COUNT_ integer;
alter table ACT_RU_EXECUTION add column DEADLETTER_JOB_COUNT_ integer;
alter table ACT_RU_EXECUTION add column VAR_COUNT_ integer;
alter table ACT_RU_EXECUTION add column ID_LINK_COUNT_ integer;

update ACT_GE_PROPERTY set VALUE_ = '6.0.0.2' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6002.to.6003.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.0.0.3' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6003.to.6004.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.0.0.4' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6004.to.6005.engine.sql
alter table ACT_RU_TASK add column IS_COUNT_ENABLED_ TINYINT;
alter table ACT_RU_TASK add column VAR_COUNT_ integer;
alter table ACT_RU_TASK add column ID_LINK_COUNT_ integer;

update ACT_GE_PROPERTY set VALUE_ = '6.0.0.5' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6005.to.6010.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.0.1.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6010.to.6100.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.1.0.0' where NAME_ = 'schema.version';

alter table ACT_RU_EXECUTION add column START_ACT_ID_ varchar(255);

create table ACT_RU_HISTORY_JOB (
    ID_ varchar(64) NOT NULL,
    REV_ integer,
    LOCK_EXP_TIME_ timestamp(3) NULL,
    LOCK_OWNER_ varchar(255),
    RETRIES_ integer,
    EXCEPTION_STACK_ID_ varchar(64),
    EXCEPTION_MSG_ varchar(4000),
    HANDLER_TYPE_ varchar(255),
    HANDLER_CFG_ varchar(4000),
    ADV_HANDLER_CFG_ID_ varchar(64),
    TENANT_ID_ varchar(255) default '',
    CREATE_TIME_ timestamp(3) NULL,
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6100.to.6110.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.1.1.0' where NAME_ = 'schema.version';

alter table ACT_RU_JOB add column CREATE_TIME_ timestamp(3) NULL;
alter table ACT_RU_TIMER_JOB add column CREATE_TIME_ timestamp(3) NULL;
alter table ACT_RU_SUSPENDED_JOB add column CREATE_TIME_ timestamp(3) NULL;
alter table ACT_RU_DEADLETTER_JOB add column CREATE_TIME_ timestamp(3) NULL;

update ACT_RU_JOB set CREATE_TIME_=CURRENT_TIMESTAMP;
update ACT_RU_TIMER_JOB set CREATE_TIME_=CURRENT_TIMESTAMP;
update ACT_RU_SUSPENDED_JOB set CREATE_TIME_=CURRENT_TIMESTAMP;
update ACT_RU_DEADLETTER_JOB set CREATE_TIME_=CURRENT_TIMESTAMP;

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6001.to.6002.history.sql
alter table ACT_HI_ACTINST add column DELETE_REASON_ varchar(4000);
-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6004.to.6005.history.sql
alter table ACT_HI_IDENTITYLINK add column CREATE_TIME_ datetime(3);

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6010.to.6100.history.sql
create index ACT_IDX_HI_PROCVAR_EXE on ACT_HI_VARINST(EXECUTION_ID_);

alter table ACT_HI_PROCINST add column REV_ integer default 1;
update ACT_HI_PROCINST set REV_ = 1;

alter table ACT_HI_ACTINST add column REV_ integer default 1;
update ACT_HI_ACTINST set REV_ = 1;

alter table ACT_HI_TASKINST add column REV_ integer default 1;
update ACT_HI_TASKINST set REV_ = 1;

alter table ACT_HI_TASKINST add column LAST_UPDATED_TIME_ datetime(3);
alter table ACT_HI_VARINST alter column REV_ set default 1;
update ACT_HI_VARINST set REV_ = 1 where REV_ is null OR REV_ = 0;

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6120.to.6200.identitylink.sql
insert into ACT_GE_PROPERTY values ('identitylink.schema.version', '6.2.0.0', 1);
-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6200.to.6210.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.mysql.upgradestep.6210.to.6300.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'identitylink.schema.version';

alter table ACT_RU_IDENTITYLINK add column SCOPE_ID_ varchar(255);
alter table ACT_RU_IDENTITYLINK add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_IDENTITYLINK add column SCOPE_DEFINITION_ID_ varchar(255);

create index ACT_IDX_IDENT_LNK_SCOPE on ACT_RU_IDENTITYLINK(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_IDENT_LNK_SCOPE_DEF on ACT_RU_IDENTITYLINK(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6300.to.6301.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6301.to.6310.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6310.to.6320.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6320.to.6400.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6400.to.6410.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6410.to.6411.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6411.to.6412.identitylink.sql
update ACT_RU_IDENTITYLINK set SCOPE_DEFINITION_ID_ = null where SCOPE_ID_ is not null and SCOPE_DEFINITION_ID_ is not null;

update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6412.to.6413.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6413.to.6500.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6500.to.6501.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6501.to.6502.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.mysql.upgradestep.6502.to.6503.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'identitylink.schema.version';

alter table ACT_RU_IDENTITYLINK add column SUB_SCOPE_ID_ varchar(255);

create index ACT_IDX_IDENT_LNK_SUB_SCOPE on ACT_RU_IDENTITYLINK(SUB_SCOPE_ID_, SCOPE_TYPE_);

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6503.to.6504.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6504.to.6505.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6505.to.6506.identitylink.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'identitylink.schema.version';

-- org/flowable/identitylink/service/db/upgrade/flowable.mysql.upgradestep.6210.to.6300.identitylink.history.sql
alter table ACT_HI_IDENTITYLINK add column SCOPE_ID_ varchar(255);
alter table ACT_HI_IDENTITYLINK add column SCOPE_TYPE_ varchar(255);
alter table ACT_HI_IDENTITYLINK add column SCOPE_DEFINITION_ID_ varchar(255);

create index ACT_IDX_HI_IDENT_LNK_SCOPE on ACT_HI_IDENTITYLINK(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_HI_IDENT_LNK_SCOPE_DEF on ACT_HI_IDENTITYLINK(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);

-- org/flowable/identitylink/service/db/upgrade/flowable.all.upgradestep.6411.to.6412.identitylink.history.sql
update ACT_HI_IDENTITYLINK set SCOPE_DEFINITION_ID_ = null where SCOPE_ID_ is not null and SCOPE_DEFINITION_ID_ is not null;


-- org/flowable/identitylink/service/db/upgrade/flowable.mysql.upgradestep.6502.to.6503.identitylink.history.sql
alter table ACT_HI_IDENTITYLINK add column SUB_SCOPE_ID_ varchar(255);

create index ACT_IDX_HI_IDENT_LNK_SUB_SCOPE on ACT_HI_IDENTITYLINK(SUB_SCOPE_ID_, SCOPE_TYPE_);

-- org/flowable/entitylink/service/db/create/flowable.mysql.create.entitylink.sql
create table ACT_RU_ENTITYLINK (
    ID_ varchar(64),
    REV_ integer,
    CREATE_TIME_ datetime(3),
    LINK_TYPE_ varchar(255),
    SCOPE_ID_ varchar(255),
    SCOPE_TYPE_ varchar(255),
    SCOPE_DEFINITION_ID_ varchar(255),
    REF_SCOPE_ID_ varchar(255),
    REF_SCOPE_TYPE_ varchar(255),
    REF_SCOPE_DEFINITION_ID_ varchar(255),
    HIERARCHY_TYPE_ varchar(255),
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create index ACT_IDX_ENT_LNK_SCOPE on ACT_RU_ENTITYLINK(SCOPE_ID_, SCOPE_TYPE_, LINK_TYPE_);
create index ACT_IDX_ENT_LNK_SCOPE_DEF on ACT_RU_ENTITYLINK(SCOPE_DEFINITION_ID_, SCOPE_TYPE_, LINK_TYPE_);

insert into ACT_GE_PROPERTY values ('entitylink.schema.version', '6.5.0.6', 1);
-- org/flowable/entitylink/service/db/create/flowable.mysql.create.entitylink.history.sql
create table ACT_HI_ENTITYLINK (
    ID_ varchar(64),
    LINK_TYPE_ varchar(255),
    CREATE_TIME_ datetime(3),
    SCOPE_ID_ varchar(255),
    SCOPE_TYPE_ varchar(255),
    SCOPE_DEFINITION_ID_ varchar(255),
    REF_SCOPE_ID_ varchar(255),
    REF_SCOPE_TYPE_ varchar(255),
    REF_SCOPE_DEFINITION_ID_ varchar(255),
    HIERARCHY_TYPE_ varchar(255),
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create index ACT_IDX_HI_ENT_LNK_SCOPE on ACT_HI_ENTITYLINK(SCOPE_ID_, SCOPE_TYPE_, LINK_TYPE_);
create index ACT_IDX_HI_ENT_LNK_SCOPE_DEF on ACT_HI_ENTITYLINK(SCOPE_DEFINITION_ID_, SCOPE_TYPE_, LINK_TYPE_);

-- org/flowable/eventsubscription/service/db/upgrade/flowable.mysql.upgradestep.6413.to.6500.eventsubscription.sql
alter table ACT_RU_EVENT_SUBSCR add column SUB_SCOPE_ID_ varchar(64);
alter table ACT_RU_EVENT_SUBSCR add column SCOPE_ID_ varchar(64);
alter table ACT_RU_EVENT_SUBSCR add column SCOPE_DEFINITION_ID_ varchar(64);
alter table ACT_RU_EVENT_SUBSCR add column SCOPE_TYPE_ varchar(64);

insert into ACT_GE_PROPERTY values ('eventsubscription.schema.version', '6.5.0.0', 1);
-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6500.to.6501.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6501.to.6502.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6502.to.6503.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6503.to.6504.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6504.to.6505.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/eventsubscription/service/db/upgrade/flowable.all.upgradestep.6505.to.6506.eventsubscription.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'eventsubscription.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.task.sql
alter table ACT_RU_TASK add column SCOPE_ID_ varchar(255);
alter table ACT_RU_TASK add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_TASK add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_TASK add column SCOPE_DEFINITION_ID_ varchar(255);

create index ACT_IDX_TASK_SCOPE on ACT_RU_TASK(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_TASK_SUB_SCOPE on ACT_RU_TASK(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_TASK_SCOPE_DEF on ACT_RU_TASK(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);

insert into ACT_GE_PROPERTY values ('task.schema.version', '6.2.0.0', 1);
-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6200.to.6210.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6210.to.6300.task.sql
alter table ACT_RU_TASK add column SUB_TASK_COUNT_ integer;
update ACT_RU_TASK t set t.SUB_TASK_COUNT_ = (select count(*) from (select * from ACT_RU_TASK where IS_COUNT_ENABLED_ = 1) as count_table where PARENT_TASK_ID_ = t.ID_) where t.IS_COUNT_ENABLED_ = 1;

update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6210.to.6300.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6300.to.6301.task.sql
alter table ACT_RU_TASK add column TASK_DEF_ID_ varchar(64);

update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6301.to.6310.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6310.to.6320.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6320.to.6400.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6400.to.6410.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6410.to.6411.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6411.to.6412.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6412.to.6413.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6413.to.6500.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6500.to.6501.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6501.to.6502.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6502.to.6503.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6503.to.6504.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6504.to.6505.task.sql
alter table ACT_RU_TASK add column PROPAGATED_STAGE_INST_ID_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.all.upgradestep.6505.to.6506.task.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'task.schema.version';

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.task.history.sql
 alter table ACT_HI_TASKINST add column SCOPE_ID_ varchar(255);
alter table ACT_HI_TASKINST add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_HI_TASKINST add column SCOPE_TYPE_ varchar(255);
alter table ACT_HI_TASKINST add column SCOPE_DEFINITION_ID_ varchar(255);

create index ACT_IDX_HI_TASK_SCOPE on ACT_HI_TASKINST(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_HI_TASK_SUB_SCOPE on ACT_HI_TASKINST(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_HI_TASK_SCOPE_DEF on ACT_HI_TASKINST(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);
-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6300.to.6301.task.history.sql
alter table ACT_HI_TASKINST add column TASK_DEF_ID_ varchar(64);

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6412.to.6413.task.history.sql
create table ACT_HI_TSK_LOG (
  ID_ bigint auto_increment,
  TYPE_ varchar(64),
  TASK_ID_ varchar(64) not null,
  TIME_STAMP_ timestamp(3) not null,
  USER_ID_ varchar(255),
  DATA_ varchar(4000),
  EXECUTION_ID_ varchar(64),
  PROC_INST_ID_ varchar(64),
  PROC_DEF_ID_ varchar(64),
  SCOPE_ID_ varchar(255),
  SCOPE_DEFINITION_ID_ varchar(255),
  SUB_SCOPE_ID_ varchar(255),
  SCOPE_TYPE_ varchar(255),
  TENANT_ID_ varchar(255) default '',
  primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

-- org/flowable/task/service/db/upgrade/flowable.mysql.upgradestep.6504.to.6505.task.history.sql
alter table ACT_HI_TASKINST add column PROPAGATED_STAGE_INST_ID_ varchar(255);

-- org/flowable/variable/service/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.variable.sql
alter table ACT_RU_VARIABLE add column SCOPE_ID_ varchar(255);
alter table ACT_RU_VARIABLE add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_VARIABLE add column SCOPE_TYPE_ varchar(255);

create index ACT_IDX_RU_VAR_SCOPE_ID_TYPE on ACT_RU_VARIABLE(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_RU_VAR_SUB_ID_TYPE on ACT_RU_VARIABLE(SUB_SCOPE_ID_, SCOPE_TYPE_);

insert into ACT_GE_PROPERTY values ('variable.schema.version', '6.2.0.0', 1);
-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6200.to.6210.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6210.to.6300.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6300.to.6301.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6301.to.6310.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6310.to.6320.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6320.to.6400.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6400.to.6410.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6410.to.6411.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6411.to.6412.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6412.to.6413.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6413.to.6500.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6500.to.6501.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6501.to.6502.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6502.to.6503.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6503.to.6504.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6504.to.6505.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.all.upgradestep.6505.to.6506.variable.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'variable.schema.version';

-- org/flowable/variable/service/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.variable.history.sql
alter table ACT_HI_VARINST add column SCOPE_ID_ varchar(255);
alter table ACT_HI_VARINST add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_HI_VARINST add column SCOPE_TYPE_ varchar(255);

create index ACT_IDX_HI_VAR_SCOPE_ID_TYPE on ACT_HI_VARINST(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_HI_VAR_SUB_ID_TYPE on ACT_HI_VARINST(SUB_SCOPE_ID_, SCOPE_TYPE_);

-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6120.to.6200.job.sql
insert into ACT_GE_PROPERTY values ('job.schema.version', '6.2.0.0', 1);
-- org/flowable/job/service/db/upgrade/flowable.mysql.upgradestep.6200.to.6210.job.sql
alter table ACT_RU_JOB add column SCOPE_ID_ varchar(255);
alter table ACT_RU_JOB add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_JOB add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_JOB add column SCOPE_DEFINITION_ID_ varchar(255);

alter table ACT_RU_TIMER_JOB add column SCOPE_ID_ varchar(255);
alter table ACT_RU_TIMER_JOB add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_TIMER_JOB add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_TIMER_JOB add column SCOPE_DEFINITION_ID_ varchar(255);

alter table ACT_RU_SUSPENDED_JOB add column SCOPE_ID_ varchar(255);
alter table ACT_RU_SUSPENDED_JOB add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_SUSPENDED_JOB add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_SUSPENDED_JOB add column SCOPE_DEFINITION_ID_ varchar(255);

alter table ACT_RU_DEADLETTER_JOB add column SCOPE_ID_ varchar(255);
alter table ACT_RU_DEADLETTER_JOB add column SUB_SCOPE_ID_ varchar(255);
alter table ACT_RU_DEADLETTER_JOB add column SCOPE_TYPE_ varchar(255);
alter table ACT_RU_DEADLETTER_JOB add column SCOPE_DEFINITION_ID_ varchar(255);

create index ACT_IDX_JOB_SCOPE on ACT_RU_JOB(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_JOB_SUB_SCOPE on ACT_RU_JOB(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_JOB_SCOPE_DEF on ACT_RU_JOB(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);

create index ACT_IDX_TJOB_SCOPE on ACT_RU_TIMER_JOB(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_TJOB_SUB_SCOPE on ACT_RU_TIMER_JOB(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_TJOB_SCOPE_DEF on ACT_RU_TIMER_JOB(SCOPE_DEFINITION_ID_, SCOPE_TYPE_); 

create index ACT_IDX_SJOB_SCOPE on ACT_RU_SUSPENDED_JOB(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_SJOB_SUB_SCOPE on ACT_RU_SUSPENDED_JOB(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_SJOB_SCOPE_DEF on ACT_RU_SUSPENDED_JOB(SCOPE_DEFINITION_ID_, SCOPE_TYPE_);   

create index ACT_IDX_DJOB_SCOPE on ACT_RU_DEADLETTER_JOB(SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_DJOB_SUB_SCOPE on ACT_RU_DEADLETTER_JOB(SUB_SCOPE_ID_, SCOPE_TYPE_);
create index ACT_IDX_DJOB_SCOPE_DEF on ACT_RU_DEADLETTER_JOB(SCOPE_DEFINITION_ID_, SCOPE_TYPE_); 

alter table ACT_RU_JOB add column CUSTOM_VALUES_ID_ varchar(64);
alter table ACT_RU_TIMER_JOB add column CUSTOM_VALUES_ID_ varchar(64);
alter table ACT_RU_SUSPENDED_JOB add column CUSTOM_VALUES_ID_ varchar(64);
alter table ACT_RU_DEADLETTER_JOB add column CUSTOM_VALUES_ID_ varchar(64);
alter table ACT_RU_HISTORY_JOB add column CUSTOM_VALUES_ID_ varchar(64);

create index ACT_IDX_JOB_CUSTOM_VALUES_ID on ACT_RU_JOB(CUSTOM_VALUES_ID_);
create index ACT_IDX_TIMER_JOB_CUSTOM_VALUES_ID on ACT_RU_TIMER_JOB(CUSTOM_VALUES_ID_);
create index ACT_IDX_SUSPENDED_JOB_CUSTOM_VALUES_ID on ACT_RU_SUSPENDED_JOB(CUSTOM_VALUES_ID_);
create index ACT_IDX_DEADLETTER_JOB_CUSTOM_VALUES_ID on ACT_RU_DEADLETTER_JOB(CUSTOM_VALUES_ID_);

alter table ACT_RU_JOB
    add constraint ACT_FK_JOB_CUSTOM_VALUES
    foreign key (CUSTOM_VALUES_ID_)
    references ACT_GE_BYTEARRAY (ID_);

alter table ACT_RU_TIMER_JOB
    add constraint ACT_FK_TIMER_JOB_CUSTOM_VALUES
    foreign key (CUSTOM_VALUES_ID_)
    references ACT_GE_BYTEARRAY (ID_);

alter table ACT_RU_SUSPENDED_JOB
    add constraint ACT_FK_SUSPENDED_JOB_CUSTOM_VALUES
    foreign key (CUSTOM_VALUES_ID_)
    references ACT_GE_BYTEARRAY (ID_);

alter table ACT_RU_DEADLETTER_JOB
    add constraint ACT_FK_DEADLETTER_JOB_CUSTOM_VALUES
    foreign key (CUSTOM_VALUES_ID_)
    references ACT_GE_BYTEARRAY (ID_);

update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6210.to.6300.job.sql
update ACT_RU_TIMER_JOB set HANDLER_TYPE_ = 'cmmn-trigger-timer' where HANDLER_TYPE_ = 'trigger-timer' and SCOPE_TYPE_ = 'cmmn';

update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6300.to.6301.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.mysql.upgradestep.6301.to.6310.job.sql
alter table ACT_RU_HISTORY_JOB add column SCOPE_TYPE_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6301.to.6310.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6310.to.6320.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6320.to.6400.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6400.to.6410.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6410.to.6411.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6411.to.6412.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6412.to.6413.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6413.to.6500.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.mysql.upgradestep.6500.to.6501.job.sql
alter table ACT_RU_JOB add column ELEMENT_ID_ varchar(255);
alter table ACT_RU_JOB add column ELEMENT_NAME_ varchar(255);

alter table ACT_RU_TIMER_JOB add column ELEMENT_ID_ varchar(255);
alter table ACT_RU_TIMER_JOB add column ELEMENT_NAME_ varchar(255);

alter table ACT_RU_SUSPENDED_JOB add column ELEMENT_ID_ varchar(255);
alter table ACT_RU_SUSPENDED_JOB add column ELEMENT_NAME_ varchar(255);

alter table ACT_RU_DEADLETTER_JOB add column ELEMENT_ID_ varchar(255);
alter table ACT_RU_DEADLETTER_JOB add column ELEMENT_NAME_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6501.to.6502.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6502.to.6503.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6503.to.6504.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6504.to.6505.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'job.schema.version';
-- org/flowable/job/service/db/upgrade/flowable.all.upgradestep.6505.to.6506.job.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'job.schema.version';
-- org/flowable/batch/service/db/create/flowable.mysql.create.batch.sql
create table FLW_RU_BATCH (
    ID_ varchar(64) not null,
    REV_ integer,
    TYPE_ varchar(64) not null,
    SEARCH_KEY_ varchar(255),
    SEARCH_KEY2_ varchar(255),
    CREATE_TIME_ datetime(3) not null,
    COMPLETE_TIME_ datetime(3),
    STATUS_ varchar(255),
    BATCH_DOC_ID_ varchar(64),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create table FLW_RU_BATCH_PART (
    ID_ varchar(64) not null,
    REV_ integer,
    BATCH_ID_ varchar(64),
    TYPE_ varchar(64) not null,
    SCOPE_ID_ varchar(64),
    SUB_SCOPE_ID_ varchar(64),
    SCOPE_TYPE_ varchar(64),
    SEARCH_KEY_ varchar(255),
    SEARCH_KEY2_ varchar(255),
    CREATE_TIME_ datetime(3) not null,
    COMPLETE_TIME_ datetime(3),
    STATUS_ varchar(255),
    RESULT_DOC_ID_ varchar(64),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create index FLW_IDX_BATCH_PART on FLW_RU_BATCH_PART(BATCH_ID_);

alter table FLW_RU_BATCH_PART
    add constraint FLW_FK_BATCH_PART_PARENT
    foreign key (BATCH_ID_)
    references FLW_RU_BATCH (ID_);

insert into ACT_GE_PROPERTY values ('batch.schema.version', '6.5.0.6', 1);

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.engine.sql
alter table ACT_RU_EXECUTION add column CALLBACK_ID_ varchar(255);
alter table ACT_RU_EXECUTION add column CALLBACK_TYPE_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.2.0.0' where NAME_ = 'schema.version';
-- org/flowable/db/upgrade/flowable.all.upgradestep.6200.to.6210.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.2.1.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6210.to.6300.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.0.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6300.to.6301.engine.sql
alter table ACT_RE_DEPLOYMENT add column DERIVED_FROM_ varchar(64);
alter table ACT_RE_DEPLOYMENT add column DERIVED_FROM_ROOT_ varchar(64);
alter table ACT_RE_PROCDEF add column DERIVED_FROM_ varchar(64);
alter table ACT_RE_PROCDEF add column DERIVED_FROM_ROOT_ varchar(64);

alter table ACT_RE_PROCDEF add column DERIVED_VERSION_ integer not null default 0;

alter table ACT_RE_PROCDEF
    drop index ACT_UNIQ_PROCDEF;
    
alter table ACT_RE_PROCDEF
    add constraint ACT_UNIQ_PROCDEF
    unique (KEY_,VERSION_, DERIVED_VERSION_, TENANT_ID_);

update ACT_GE_PROPERTY set VALUE_ = '6.3.0.1' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6301.to.6310.engine.sql
alter table ACT_RE_DEPLOYMENT add column PARENT_DEPLOYMENT_ID_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.3.1.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6310.to.6320.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.3.2.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6320.to.6400.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.0.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6400.to.6410.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6410.to.6411.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.4.1.1' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6411.to.6412.engine.sql
create table ACT_RU_ACTINST (
    ID_ varchar(64) not null,
    REV_ integer default 1,
    PROC_DEF_ID_ varchar(64) not null,
    PROC_INST_ID_ varchar(64) not null,
    EXECUTION_ID_ varchar(64) not null,
    ACT_ID_ varchar(255) not null,
    TASK_ID_ varchar(64),
    CALL_PROC_INST_ID_ varchar(64),
    ACT_NAME_ varchar(255),
    ACT_TYPE_ varchar(255) not null,
    ASSIGNEE_ varchar(255),
    START_TIME_ datetime(3) not null,
    END_TIME_ datetime(3),
    DURATION_ bigint,
    DELETE_REASON_ varchar(4000),
    TENANT_ID_ varchar(255) default '',
    primary key (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

create index ACT_IDX_RU_ACTI_START on ACT_RU_ACTINST(START_TIME_);
create index ACT_IDX_RU_ACTI_END on ACT_RU_ACTINST(END_TIME_);
create index ACT_IDX_RU_ACTI_PROC on ACT_RU_ACTINST(PROC_INST_ID_);
create index ACT_IDX_RU_ACTI_PROC_ACT on ACT_RU_ACTINST(PROC_INST_ID_, ACT_ID_);
create index ACT_IDX_RU_ACTI_EXEC on ACT_RU_ACTINST(EXECUTION_ID_);
create index ACT_IDX_RU_ACTI_EXEC_ACT on ACT_RU_ACTINST(EXECUTION_ID_, ACT_ID_);

update ACT_GE_PROPERTY set VALUE_ = '6.4.1.2' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6412.to.6413.engine.sql
delete
from ACT_RU_VARIABLE
where TYPE_ in ('item', 'message')
  and BYTEARRAY_ID_ is null
  and DOUBLE_ is null
  and LONG_ is null
  and TEXT_ is null
  and TEXT2_ is null;

delete
from ACT_RU_VARIABLE
where TYPE_ = 'null'
  and NAME_ in ('org.activiti.engine.impl.bpmn.CURRENT_MESSAGE', 'org.flowable.engine.impl.bpmn.CURRENT_MESSAGE');

update ACT_GE_PROPERTY set VALUE_ = '6.4.1.3' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6413.to.6500.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.0' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6500.to.6501.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.1' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6501.to.6502.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.2' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.all.upgradestep.6502.to.6503.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.3' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6503.to.6504.engine.sql
alter table ACT_RU_EXECUTION add column REFERENCE_ID_ varchar(255);
alter table ACT_RU_EXECUTION add column REFERENCE_TYPE_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.5.0.4' where NAME_ = 'schema.version';
-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6504.to.6505.engine.sql
alter table ACT_RU_EXECUTION add column PROPAGATED_STAGE_INST_ID_ varchar(255);

update ACT_GE_PROPERTY set VALUE_ = '6.5.0.5' where NAME_ = 'schema.version';
-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6505.to.6506.engine.sql
update ACT_GE_PROPERTY set VALUE_ = '6.5.0.6' where NAME_ = 'schema.version';

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6120.to.6200.history.sql
alter table ACT_HI_PROCINST add column CALLBACK_ID_ varchar(255);
alter table ACT_HI_PROCINST add column CALLBACK_TYPE_ varchar(255);
-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6412.to.6413.history.sql
delete
from ACT_HI_VARINST
where VAR_TYPE_ in ('item', 'message')
  and BYTEARRAY_ID_ is null
  and DOUBLE_ is null
  and LONG_ is null
  and TEXT_ is null
  and TEXT2_ is null;

delete from ACT_HI_VARINST
where VAR_TYPE_ = 'null'
and NAME_ in ('org.activiti.engine.impl.bpmn.CURRENT_MESSAGE', 'org.flowable.engine.impl.bpmn.CURRENT_MESSAGE');

-- org/flowable/db/upgrade/flowable.mysql.upgradestep.6505.to.6506.history.sql
alter table ACT_HI_PROCINST add column REFERENCE_ID_ varchar(255);
alter table ACT_HI_PROCINST add column REFERENCE_TYPE_ varchar(255);


-- 自建表
CREATE TABLE flw_channel_definition (
  ID_ varchar(255) NOT NULL,
  NAME_ varchar(255) DEFAULT NULL,
  VERSION_ int(11) DEFAULT NULL,
  KEY_ varchar(255) DEFAULT NULL,
  CATEGORY_ varchar(255) DEFAULT NULL,
  DEPLOYMENT_ID_ varchar(255) DEFAULT NULL,
  CREATE_TIME_ datetime(3) DEFAULT NULL,
  TENANT_ID_ varchar(255) DEFAULT NULL,
  RESOURCE_NAME_ varchar(255) DEFAULT NULL,
  DESCRIPTION_ varchar(255) DEFAULT NULL,
  PRIMARY KEY (ID_),
  UNIQUE KEY ACT_IDX_CHANNEL_DEF_UNIQ (KEY_,VERSION_,TENANT_ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE flw_event_definition (
  ID_ varchar(255) NOT NULL,
  NAME_ varchar(255) DEFAULT NULL,
  VERSION_ int(11) DEFAULT NULL,
  KEY_ varchar(255) DEFAULT NULL,
  CATEGORY_ varchar(255) DEFAULT NULL,
  DEPLOYMENT_ID_ varchar(255) DEFAULT NULL,
  TENANT_ID_ varchar(255) DEFAULT NULL,
  RESOURCE_NAME_ varchar(255) DEFAULT NULL,
  DESCRIPTION_ varchar(255) DEFAULT NULL,
  PRIMARY KEY (ID_),
  UNIQUE KEY ACT_IDX_EVENT_DEF_UNIQ (KEY_,VERSION_,TENANT_ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE flw_event_deployment (
  ID_ varchar(255) NOT NULL,
  NAME_ varchar(255) DEFAULT NULL,
  CATEGORY_ varchar(255) DEFAULT NULL,
  DEPLOY_TIME_ datetime(3) DEFAULT NULL,
  TENANT_ID_ varchar(255) DEFAULT NULL,
  PARENT_DEPLOYMENT_ID_ varchar(255) DEFAULT NULL,
  PRIMARY KEY (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;


CREATE TABLE flw_ev_databasechangelog (
  ID varchar(255) NOT NULL,
  AUTHOR varchar(255) NOT NULL,
  FILENAME varchar(255) NOT NULL,
  DATEEXECUTED datetime NOT NULL,
  ORDEREXECUTED int(11) NOT NULL,
  EXECTYPE varchar(10) NOT NULL,
  MD5SUM varchar(35) DEFAULT NULL,
  DESCRIPTION varchar(255) DEFAULT NULL,
  COMMENTS varchar(255) DEFAULT NULL,
  TAG varchar(255) DEFAULT NULL,
  LIQUIBASE varchar(20) DEFAULT NULL,
  CONTEXTS varchar(255) DEFAULT NULL,
  LABELS varchar(255) DEFAULT NULL,
  DEPLOYMENT_ID varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;


-- BEGIN;
-- INSERT INTO flw_ev_databasechangelog VALUES ('1', 'flowable', 'org/flowable/eventregistry/db/liquibase/flowable-eventregistry-db-changelog.xml', '2020-07-27 13:55:20', 1, 'EXECUTED', '8:1b0c48c9cf7945be799d868a2626d687', 'createTable tableName=FLW_EVENT_DEPLOYMENT; createTable tableName=FLW_EVENT_RESOURCE; createTable tableName=FLW_EVENT_DEFINITION; createIndex indexName=ACT_IDX_EVENT_DEF_UNIQ, tableName=FLW_EVENT_DEFINITION; createTable tableName=FLW_CHANNEL_DEFIN...', '', NULL, '3.8.0', NULL, NULL, '5829320749');
-- COMMIT;

CREATE TABLE flw_ev_databasechangeloglock (
  ID int(11) NOT NULL,
  LOCKED bit(1) NOT NULL,
  LOCKGRANTED datetime DEFAULT NULL,
  LOCKEDBY varchar(255) DEFAULT NULL,
  PRIMARY KEY (ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;

-- BEGIN;
-- INSERT INTO flw_ev_databasechangeloglock VALUES (1, b'0', NULL, NULL);
-- COMMIT;


CREATE TABLE flw_event_resource (
  ID_ varchar(255) NOT NULL,
  NAME_ varchar(255) DEFAULT NULL,
  DEPLOYMENT_ID_ varchar(255) DEFAULT NULL,
  RESOURCE_BYTES_ longblob,
  PRIMARY KEY (ID_)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE utf8_bin;