--  Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::create_table_koca_lcp_api_param_tpl::liusheng
CREATE TABLE koca_lcp_api_param_tpl (id BIGINT NOT NULL, tpl_name VARCHAR(64) NOT NULL COMMENT '模板名称', tpl_desc VARCHAR(64) NULL COMMENT '模板描述', meta_info LONGTEXT NULL COMMENT '模板元数据', tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_API_PARAM_TPL PRIMARY KEY (id)) COMMENT='UI模板';

ALTER TABLE koca_lcp_api_param_tpl COMMENT = 'UI模板';

CREATE UNIQUE INDEX uk_name ON koca_lcp_api_param_tpl(tenant_id, tpl_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_API_PARAM_TPL_NO', '字段UI模板序列', '8', '1', '', '', '0');

--  Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::update_koca_sys_menu::liusheng
UPDATE koca_sys_menu SET menu_name = '接口设计', remark = '接口设计' WHERE menu_id=416000;

UPDATE koca_sys_menu SET menu_name = 'API设计', remark = 'API设计' WHERE menu_id=416001;

--  Changeset V4.3.0_0_2_151__koca_lcp_runtime_api.xml::insert_koca_sys_menu::liusheng
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416110', '0', '2', '模板管理', '', '416001', '', '', '0', '模板管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('416120', '0', '2', '保存为模板', '', '416001', '416110', '', '0', '保存为模板');