--  Changeset V4.1.0_0_2_141__koca_lcp_runtime_component.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415000', '0', '0', '组件管理', '', '', '414000', 'kui-icon-batch', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415001', '0', '0', '组件管理', '/lcp-runtime-component/views/component-manage/index.tsx', '415000', '', '', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415002', '0', '1', '组件设计器', '/lcp-runtime-component/views/designer/index.tsx', '415000', '415001', '', '0', '组件设计器');

--  Changeset V4.1.0_0_2_141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_group::chenlei
CREATE TABLE koca_lcp_comp2_group (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_code VARCHAR(64) NOT NULL COMMENT '页面分组编码', group_name VARCHAR(64) NOT NULL COMMENT '页面分组名称', parent_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', id_path VARCHAR(512) NOT NULL COMMENT '页面分组id路径，用于删除或查询', sort_no INT DEFAULT 0 NOT NULL COMMENT '序号，用于同级目录排序', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_COMP2_GROUP PRIMARY KEY (id)) COMMENT='业务组件分组';

ALTER TABLE koca_lcp_comp2_group COMMENT = '业务组件分组';

CREATE UNIQUE INDEX uk_lcp_comp2_group_code ON koca_lcp_comp2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_comp2_group_name ON koca_lcp_comp2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_GROUP_NO', '0', '0', '0', '100000', '', '');

--  Changeset V4.1.0_0_2_141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2::chenlei
CREATE TABLE koca_lcp_comp2 (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL COMMENT '租户id', group_id BIGINT DEFAULT '-1' NOT NULL COMMENT '父级目录', comp_code VARCHAR(64) NOT NULL COMMENT '组件编码', comp_name VARCHAR(64) NOT NULL COMMENT '组件名称', comp_meta LONGTEXT NULL COMMENT '组件元数据', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_COMP2 PRIMARY KEY (id)) COMMENT='业务组件管理2';

ALTER TABLE koca_lcp_comp2 COMMENT = '业务组件管理2';

CREATE UNIQUE INDEX uk_lcp_comp2_code ON koca_lcp_comp2(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_name ON koca_lcp_comp2(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_NO', '页面2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_NO', '0', '0', '0', '100000', '', '');