--  Changeset V4.5.0_0_2_112__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model_field::YaChao Lv
ALTER TABLE koca_lcp_data_model_field ADD condition_used TINYINT DEFAULT 1 NOT NULL COMMENT '条件使用';

--  Changeset V4.5.0_0_2_112__koca_lcp_runtime_model.xml::create_table_koca_lcp_model_condition_conf::YaChao Lv
CREATE TABLE koca_lcp_model_condition_conf (id BIGINT NOT NULL, model_id BIGINT NOT NULL COMMENT '数据模型id', field_id BIGINT NOT NULL COMMENT '字段主键', operator VARCHAR(32) NOT NULL COMMENT '操作符', CONSTRAINT PK_KOCA_LCP_MODEL_CONDITION_CONF PRIMARY KEY (id)) COMMENT='数据模型查询条件配置表';

ALTER TABLE koca_lcp_model_condition_conf COMMENT = '数据模型查询条件配置表';

CREATE UNIQUE INDEX uk_model_condition ON koca_lcp_model_condition_conf(field_id, operator);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '数据模型查询条件配置序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_MODEL_CONDITION_CONF_NO', '0', '0', '0', '100000', '', '');