--  Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::liusheng
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412014', '0', '2', '数据模型-版本管理', '', '412011', '412013', '', '0', '数据模型-版本管理');

--  Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD since_no BIGINT NULL COMMENT '初始版本';

--  Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version::liusheng
CREATE TABLE koca_lcp_ds_version (ds_id BIGINT NOT NULL, version_no BIGINT NOT NULL, sync_msg VARCHAR(256) NULL COMMENT '同步消息', sync_status VARCHAR(16) NOT NULL COMMENT '版本同步状态', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DS_VERSION PRIMARY KEY (ds_id, version_no)) COMMENT='模型版本';

ALTER TABLE koca_lcp_ds_version COMMENT = '模型版本';

--  Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version_detail::liusheng
CREATE TABLE koca_lcp_ds_version_detail (id BIGINT NOT NULL, ds_id BIGINT NOT NULL COMMENT '数据源id', version_no BIGINT NOT NULL COMMENT '版本号', model_id BIGINT NOT NULL COMMENT '模型id', model_name VARCHAR(32) NOT NULL COMMENT '模型名称', table_name VARCHAR(512) NOT NULL COMMENT '表名', change_type VARCHAR(16) NOT NULL COMMENT '变更类型:CREATE,MODIFY,DROP', inc_sql LONGTEXT NULL COMMENT '增量sql', sync_status VARCHAR(16) NOT NULL COMMENT '版本同步状态', error_msg VARCHAR(256) NULL COMMENT '同步失败消息', operator VARCHAR(32) NULL COMMENT '同步用户', snapshot LONGTEXT NULL COMMENT '模型快照', created_by VARCHAR(32) NOT NULL COMMENT '创建人', updated_by VARCHAR(32) NOT NULL COMMENT '更新人', created_at VARCHAR(32) NOT NULL COMMENT '创建时间', updated_at VARCHAR(32) NOT NULL COMMENT '更新时间', CONSTRAINT PK_KOCA_LCP_DS_VERSION_DETAIL PRIMARY KEY (id)) COMMENT='模型版本';

ALTER TABLE koca_lcp_ds_version_detail COMMENT = '模型版本';

CREATE UNIQUE INDEX uk_ds_version_model ON koca_lcp_ds_version_detail(ds_id, version_no, model_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DS_VERSION_DETAIL', '数据模型版本详情序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DS_VERSION_DETAIL', '0', '0', '0', '100000', '', '');