﻿create table koca_front_profiles
(
  env_code    VARCHAR2(32) not null,
  terminal_type VARCHAR2(16) default '*',
  env_mark    VARCHAR2(64) ,
  primary_color    VARCHAR2(64) ,
  logo    VARCHAR2(256) ,
  watermark    VARCHAR2(1) default '0',
  timeout    NUMBER default 5000,
  is_tracking    VARCHAR2(1) default '0',
  env_version    VARCHAR2(32) ,
  app_title    VARCHAR2(128) default '金证云原生平台',
  ext_config    VARCHAR2(1024)
)
;
alter table koca_front_profiles add constraint front_profiles_key primary key (env_code, terminal_type);

create table koca_front_user_parameter
(
    user_no varchar2(32) not null,
    par_code varchar2(32) not null,
    par_val clob
);
alter table koca_front_user_parameter add constraint koca_front_user_parameter_key primary key (user_no,par_code);

create table koca_user_component_setting
(
    user_no     VARCHAR2(64) not null,
    page_code   VARCHAR2(128) not null,
    component_code   VARCHAR2(128) not null,
    component_setting clob,
    other_setting clob
)
;
alter table koca_user_component_setting
    add primary key (user_no, page_code, component_code);