﻿-- 
--  creating table perm_menu_role
--  =============================
-- 
create table perm_menu_role
(
  id         varchar2(32) not null,
  menu_id    varchar2(10),
  role_no    varchar2(8),
  right_type varchar2(2),
  grant_user varchar2(8),
  grant_time varchar2(16)
)
;
alter table perm_menu_role
  add constraint perm_role_p_key primary key (id);
alter table perm_menu_role
  add constraint perm_role_unique_key unique (menu_id, role_no);

-- 
--  creating table perm_menu_user
--  =============================
-- 
create table perm_menu_user
(
  id         varchar2(32) not null,
  menu_id    varchar2(10) not null,
  user_no    varchar2(8) not null,
  right_type varchar2(2) not null,
  grant_user varchar2(8),
  grant_time varchar2(16)
)
;
alter table perm_menu_user
  add constraint perm_user_pid primary key (id);
alter table perm_menu_user
  add constraint perm_user_unique unique (menu_id, user_no);