-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::insert_koca_sys_menu::qiuhang
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415000', '0', '0', '组件管理', '', '', '414000', 'kui-icon-batch', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415001', '0', '0', '组件管理', '/lcp-runtime-component/views/component-manage/index.tsx', '415000', '', '', '0', '组件管理');

INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('415002', '0', '1', '组件设计器', '/lcp-runtime-component/views/designer/index.tsx', '415000', '415001', '', '0', '组件设计器');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_group::chenlei
CREATE TABLE koca_lcp_comp2_group (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_code NVARCHAR2(64) NOT NULL, group_name NVARCHAR2(64) NOT NULL, parent_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, id_path NVARCHAR2(512) NOT NULL, sort_no INTEGER DEFAULT 0 NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_GROUP PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2_group IS '业务组件分组';

COMMENT ON COLUMN koca_lcp_comp2_group.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_group.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2_group.group_code IS '页面分组编码';

COMMENT ON COLUMN koca_lcp_comp2_group.group_name IS '页面分组名称';

COMMENT ON COLUMN koca_lcp_comp2_group.parent_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2_group.id_path IS '页面分组id路径，用于删除或查询';

COMMENT ON COLUMN koca_lcp_comp2_group.sort_no IS '序号，用于同级目录排序';

COMMENT ON COLUMN koca_lcp_comp2_group.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_comp2_group.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_comp2_group.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_comp2_group.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_comp2_group_code ON koca_lcp_comp2_group(tenant_id, parent_id, group_code);

CREATE UNIQUE INDEX uk_lcp_comp2_group_name ON koca_lcp_comp2_group(tenant_id, parent_id, group_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_GROUP_NO', '页面分组序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_GROUP_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2::chenlei
CREATE TABLE koca_lcp_comp2 (id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, comp_code NVARCHAR2(64) NOT NULL, comp_name NVARCHAR2(64) NOT NULL, comp_meta CLOB, comp_remark NVARCHAR2(256), deploy_status NVARCHAR2(32) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2 PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2 IS '业务组件管理2';

COMMENT ON COLUMN koca_lcp_comp2.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2.comp_code IS '组件编码';

COMMENT ON COLUMN koca_lcp_comp2.comp_name IS '组件名称';

COMMENT ON COLUMN koca_lcp_comp2.comp_meta IS '组件元数据';

COMMENT ON COLUMN koca_lcp_comp2.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2.deploy_status IS '发布状态';

COMMENT ON COLUMN koca_lcp_comp2.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_comp2.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_comp2.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_comp2.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_lcp_comp2_code ON koca_lcp_comp2(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_name ON koca_lcp_comp2(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_NO', '组件2序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_deployed (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, comp_code NVARCHAR2(64) NOT NULL, comp_name NVARCHAR2(64) NOT NULL, comp_meta CLOB, comp_remark NVARCHAR2(256), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2_deployed IS '业务组件管理已发布表';

COMMENT ON COLUMN koca_lcp_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_id IS '组件ID';

COMMENT ON COLUMN koca_lcp_comp2_deployed.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2_deployed.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_code IS '组件编码';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_name IS '组件名称';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_meta IS '组件元数据';

COMMENT ON COLUMN koca_lcp_comp2_deployed.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_code ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_deployed_name ON koca_lcp_comp2_deployed(tenant_id, group_id, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_DEPLOYED_NO', '发布组件序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_his (id NUMBER(38, 0) NOT NULL, comp_id NUMBER(38, 0) NOT NULL, tenant_id NVARCHAR2(32) DEFAULT '-1' NOT NULL, group_id NUMBER(38, 0) DEFAULT '-1' NOT NULL, comp_code NVARCHAR2(64) NOT NULL, comp_name NVARCHAR2(64) NOT NULL, comp_meta CLOB, comp_remark NVARCHAR2(256), his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_comp2_his IS '业务组件发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_id IS '组件ID';

COMMENT ON COLUMN koca_lcp_comp2_his.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_comp2_his.group_id IS '父级目录';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_code IS '组件编码';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_name IS '组件名称';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_meta IS '组件元数据';

COMMENT ON COLUMN koca_lcp_comp2_his.comp_remark IS '组件描述';

COMMENT ON COLUMN koca_lcp_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_his_code ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_code);

CREATE UNIQUE INDEX uk_lcp_comp2_his_name ON koca_lcp_comp2_his(tenant_id, group_id, his_version, comp_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_HIS_NO', '组件历史序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_global_var_comp2::liusheng
CREATE TABLE koca_lcp_global_var_comp2 (var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_COMP2 PRIMARY KEY (var_name, comp2_id));

COMMENT ON TABLE koca_lcp_global_var_comp2 IS '全局变量/方法-组件映射表';

COMMENT ON COLUMN koca_lcp_global_var_comp2.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_global_var_comp2.comp2_id IS '组件id';

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_deployed (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_comp2_deployed IS '全局变量/方法-组件映射发布表';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_var_comp2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_var_deployed ON koca_lcp_var_comp2_deployed(comp2_id, var_name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '变量/方法组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_var_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_var_comp2_his (id NUMBER(38, 0) NOT NULL, var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_VAR_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_var_comp2_his IS '全局变量/方法-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_var_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_var_comp2_his.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_var_comp2_his.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_var_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_var_his ON koca_lcp_var_comp2_his(comp2_id, var_name, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_VAR_HIS_NO', '变量/方法组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_VAR_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_basic_comp2::liusheng
CREATE TABLE koca_lcp_api_basic_comp2 (data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_COMP2 PRIMARY KEY (data_id, comp2_id));

COMMENT ON TABLE koca_lcp_api_basic_comp2 IS '字段-组件映射表';

COMMENT ON COLUMN koca_lcp_api_basic_comp2.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_basic_comp2.comp2_id IS '组件id';

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_deployed (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_DEPLOYED PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_comp2_deployed IS '接口-组件映射发布表';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_api_comp2_deployed.his_version IS '组件历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_api_deployed ON koca_lcp_api_comp2_deployed(data_id, comp2_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '接口组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_api_comp2_his (id NUMBER(38, 0) NOT NULL, data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_COMP2_HIS PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_api_comp2_his IS '接口-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_api_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_api_comp2_his.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_comp2_his.comp2_id IS '组件id';

COMMENT ON COLUMN koca_lcp_api_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_api_his ON koca_lcp_api_comp2_his(data_id, comp2_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_API_HIS_NO', '接口组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_API_HIS_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2::liusheng
CREATE TABLE koca_lcp_comp2_comp2 (curr_id NUMBER(38, 0) NOT NULL, target_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2 PRIMARY KEY (curr_id, target_id));

COMMENT ON TABLE koca_lcp_comp2_comp2 IS '组件-组件映射表';

COMMENT ON COLUMN koca_lcp_comp2_comp2.curr_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2.target_id IS '关联组件id';

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_deployed::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_deployed (id NUMBER(38, 0) NOT NULL, curr_id NUMBER(38, 0) NOT NULL, target_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_DEPLOY PRIMARY KEY (id, curr_id, target_id));

COMMENT ON TABLE koca_lcp_comp2_comp2_deployed IS '组件-组件映射发布表';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.curr_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.target_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_deployed.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_deployed ON koca_lcp_comp2_comp2_deployed(curr_id, target_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '组件-组件关系发布表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_DEPLOYED_NO', '0', '0', '0', '100000', '', '');

-- Changeset ALL_1_2141__koca_lcp_runtime_component.xml::create_table_koca_lcp_comp2_comp2_his::YaChao Lv
CREATE TABLE koca_lcp_comp2_comp2_his (id NUMBER(38, 0) NOT NULL, curr_id NUMBER(38, 0) NOT NULL, target_id NUMBER(38, 0) NOT NULL, his_version NVARCHAR2(8) NOT NULL, CONSTRAINT PK_KOCA_LCP_COMP2_COMP2_HIS PRIMARY KEY (id, curr_id, target_id));

COMMENT ON TABLE koca_lcp_comp2_comp2_his IS '组件-组件映射发布历史表';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.id IS '主键ID';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.curr_id IS '当前组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.target_id IS '关联组件id';

COMMENT ON COLUMN koca_lcp_comp2_comp2_his.his_version IS '历史版本号';

CREATE UNIQUE INDEX uk_lcp_comp2_comp2_his ON koca_lcp_comp2_comp2_his(curr_id, target_id, his_version);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_COMP2_COMP2_HIS_NO', '组件-组件关系发布历史表序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_COMP2_COMP2_HIS_NO', '0', '0', '0', '100000', '', '');
update koca_sys_menu set menu_status=1 where menu_id in ('415000');
