-- Changeset V4.2.0_0_2_141__koca_lcp_runtime_component.xml::create_table_koca_lcp_global_var_comp2::liusheng
CREATE TABLE koca_lcp_global_var_comp2 (var_name NVARCHAR2(512) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_GLOBAL_VAR_COMP2 PRIMARY KEY (var_name, comp2_id));

COMMENT ON TABLE koca_lcp_global_var_comp2 IS '全局变量/方法-组件映射表';

COMMENT ON COLUMN koca_lcp_global_var_comp2.var_name IS '全局变量/方法名称';

COMMENT ON COLUMN koca_lcp_global_var_comp2.comp2_id IS '组件id';

-- Changeset V4.2.0_0_2_141__koca_lcp_runtime_component.xml::create_table_koca_lcp_api_basic_comp2::liusheng
CREATE TABLE koca_lcp_api_basic_comp2 (data_id NUMBER(38, 0) NOT NULL, comp2_id NUMBER(38, 0) NOT NULL, CONSTRAINT PK_KOCA_LCP_API_BASIC_COMP2 PRIMARY KEY (data_id, comp2_id));

COMMENT ON TABLE koca_lcp_api_basic_comp2 IS '字段-组件映射表';

COMMENT ON COLUMN koca_lcp_api_basic_comp2.data_id IS '字段id';

COMMENT ON COLUMN koca_lcp_api_basic_comp2.comp2_id IS '组件id';