-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::insert_koca_sys_menu::liusheng
INSERT INTO koca_sys_menu (menu_id, menu_status, menu_type, menu_name, menu_url, parent_menu, prev_menu, menu_icon, load_type, remark) VALUES ('412014', '0', '2', '数据模型-版本管理', '', '412011', '412013', '', '0', '数据模型-版本管理');

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::alter_table_koca_lcp_data_model::liusheng
ALTER TABLE koca_lcp_data_model ADD since_no NUMBER(38, 0);

COMMENT ON COLUMN koca_lcp_data_model.since_no IS '初始版本';

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version::liusheng
CREATE TABLE koca_lcp_ds_version (ds_id NUMBER(38, 0) NOT NULL, version_no NUMBER(38, 0) NOT NULL, sync_msg NVARCHAR2(256), sync_status NVARCHAR2(16) NOT NULL, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION PRIMARY KEY (ds_id, version_no));

COMMENT ON TABLE koca_lcp_ds_version IS '模型版本';

COMMENT ON COLUMN koca_lcp_ds_version.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_ds_version.version_no IS '版本号，唯一，递增，代码实现';

COMMENT ON COLUMN koca_lcp_ds_version.sync_msg IS '同步消息';

COMMENT ON COLUMN koca_lcp_ds_version.sync_status IS '版本同步状态';

COMMENT ON COLUMN koca_lcp_ds_version.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_ds_version.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_ds_version.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_ds_version.updated_at IS '更新时间';

-- Changeset V4.6.0_0_2_111__koca_lcp_runtime_model.xml::create_table_koca_lcp_ds_version_detail::liusheng
CREATE TABLE koca_lcp_ds_version_detail (id NUMBER(38, 0) NOT NULL, ds_id NUMBER(38, 0) NOT NULL, version_no NUMBER(38, 0) NOT NULL, model_id NUMBER(38, 0) NOT NULL, model_name NVARCHAR2(32) NOT NULL, table_name NVARCHAR2(512) NOT NULL, change_type NVARCHAR2(16) NOT NULL, inc_sql CLOB, sync_status NVARCHAR2(16) NOT NULL, error_msg NVARCHAR2(256), operator NVARCHAR2(32), snapshot CLOB, created_by NVARCHAR2(32) NOT NULL, updated_by NVARCHAR2(32) NOT NULL, created_at NVARCHAR2(32) NOT NULL, updated_at NVARCHAR2(32) NOT NULL, CONSTRAINT PK_KOCA_LCP_DS_VERSION_DETAIL PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_ds_version_detail IS '模型版本';

COMMENT ON COLUMN koca_lcp_ds_version_detail.id IS 'id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.ds_id IS '数据源id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.version_no IS '版本号';

COMMENT ON COLUMN koca_lcp_ds_version_detail.model_id IS '模型id';

COMMENT ON COLUMN koca_lcp_ds_version_detail.model_name IS '模型名称';

COMMENT ON COLUMN koca_lcp_ds_version_detail.table_name IS '表名';

COMMENT ON COLUMN koca_lcp_ds_version_detail.change_type IS '变更类型:CREATE,MODIFY,DROP';

COMMENT ON COLUMN koca_lcp_ds_version_detail.inc_sql IS '增量sql';

COMMENT ON COLUMN koca_lcp_ds_version_detail.sync_status IS '版本同步状态';

COMMENT ON COLUMN koca_lcp_ds_version_detail.error_msg IS '同步失败消息';

COMMENT ON COLUMN koca_lcp_ds_version_detail.operator IS '同步用户';

COMMENT ON COLUMN koca_lcp_ds_version_detail.snapshot IS '模型快照';

COMMENT ON COLUMN koca_lcp_ds_version_detail.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_ds_version_detail.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_ds_version_detail.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_ds_version_detail.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_ds_version_model ON koca_lcp_ds_version_detail(ds_id, version_no, model_id);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DS_VERSION_DETAIL', '数据模型版本详情序列', '8', '1', '', '', '0');

INSERT INTO koca_sys_nodtl (noid, noyear, nomonth, noday, nextid, prefix, postfix) VALUES ('LCP_DS_VERSION_DETAIL', '0', '0', '0', '100000', '', '');