﻿-- 
--  creating table koca_perm_menu_role
--  =============================
-- 
create table koca_perm_menu_role
(
  id         varchar(32) not null,
  menu_id    varchar(10),
  role_no    varchar(8),
  right_type varchar(2),
  grant_user varchar(32),
  grant_time varchar(16)
)
;
alter table koca_perm_menu_role
  add constraint perm_role_p_key primary key (id);
alter table koca_perm_menu_role
  add constraint perm_role_unique_key unique (menu_id, role_no);

-- 
--  creating table koca_perm_menu_user
--  =============================
-- 
create table koca_perm_menu_user
(
  id         varchar(32) not null,
  menu_id    varchar(10) not null,
  user_no    varchar(32) not null,
  right_type varchar(2) not null,
  grant_user varchar(32),
  grant_time varchar(16)
)
;
alter table koca_perm_menu_user
  add constraint perm_user_pid primary key (id);
alter table koca_perm_menu_user
  add constraint perm_user_unique unique (menu_id, user_no);
  
create table koca_user_favorite_menu
(
  user_no    varchar(32) not null,
  menu_id    varchar(10) not null,
  record_type    varchar(2) default '0'
)
;