-- Changeset V4.2.0_0_2_171__koca_lcp_runtime_common.xml::create_table_koca_lcp_global_var_method::liusheng
CREATE TABLE koca_lcp_global_var_method (id BIGINT NOT NULL, tenant_id VARCHAR(32) DEFAULT '-1' NOT NULL, name VARCHAR(512) NOT NULL, type VARCHAR(16) NOT NULL, content TEXT NOT NULL, created_by VARCHAR(32) NOT NULL, updated_by VARCHAR(32) NOT NULL, created_at VARCHAR(32) NOT NULL, updated_at VARCHAR(32) NOT NULL, CONSTRAINT KOCA_LCP_GLOBAL_VAR_METHOD_PKEY PRIMARY KEY (id));

COMMENT ON TABLE koca_lcp_global_var_method IS '全局变量/方法表';

COMMENT ON COLUMN koca_lcp_global_var_method.tenant_id IS '租户id';

COMMENT ON COLUMN koca_lcp_global_var_method.name IS '名称';

COMMENT ON COLUMN koca_lcp_global_var_method.type IS '类型：VAR、METHOD';

COMMENT ON COLUMN koca_lcp_global_var_method.content IS '变量/方法内容';

COMMENT ON COLUMN koca_lcp_global_var_method.created_by IS '创建人';

COMMENT ON COLUMN koca_lcp_global_var_method.updated_by IS '更新人';

COMMENT ON COLUMN koca_lcp_global_var_method.created_at IS '创建时间';

COMMENT ON COLUMN koca_lcp_global_var_method.updated_at IS '更新时间';

CREATE UNIQUE INDEX uk_name_type ON koca_lcp_global_var_method(tenant_id, name);

INSERT INTO koca_sys_no (noid, noname, nolength, notype, prefix, postfix, buffersize) VALUES ('LCP_DATA_GLOBAL_VAR_METHOD_NO', '全局变量/方法序列', '8', '1', '', '', '0');